var Ne = Object.defineProperty;
var Le = (o, t, e) => t in o ? Ne(o, t, { enumerable: !0, configurable: !0, writable: !0, value: e }) : o[t] = e;
var pt = (o, t, e) => (Le(o, typeof t != "symbol" ? t + "" : t, e), e);
import { ViewPlugin as zt, EditorView as N, Decoration as G, WidgetType as Ze, Direction as wt, logException as Me } from "@codemirror/view";
import { StateField as ze, RangeSetBuilder as te, Facet as Ht, Prec as He, EditorState as Dt, StateEffect as ts } from "@codemirror/state";
const Ve = 1024;
let es = 0;
class vt {
  constructor(t, e) {
    this.from = t, this.to = e;
  }
}
class S {
  /**
  Create a new node prop type.
  */
  constructor(t = {}) {
    this.id = es++, this.perNode = !!t.perNode, this.deserialize = t.deserialize || (() => {
      throw new Error("This node type doesn't define a deserialize function");
    });
  }
  /**
  This is meant to be used with
  [`NodeSet.extend`](#common.NodeSet.extend) or
  [`LRParser.configure`](#lr.ParserConfig.props) to compute
  prop values for each node type in the set. Takes a [match
  object](#common.NodeType^match) or function that returns undefined
  if the node type doesn't get this prop, and the prop's value if
  it does.
  */
  add(t) {
    if (this.perNode)
      throw new RangeError("Can't add per-node props to node types");
    return typeof t != "function" && (t = B.match(t)), (e) => {
      let s = t(e);
      return s === void 0 ? null : [this, s];
    };
  }
}
S.closedBy = new S({ deserialize: (o) => o.split(" ") });
S.openedBy = new S({ deserialize: (o) => o.split(" ") });
S.group = new S({ deserialize: (o) => o.split(" ") });
S.isolate = new S({ deserialize: (o) => {
  if (o && o != "rtl" && o != "ltr" && o != "auto")
    throw new RangeError("Invalid value for isolate: " + o);
  return o || "auto";
} });
S.contextHash = new S({ perNode: !0 });
S.lookAhead = new S({ perNode: !0 });
S.mounted = new S({ perNode: !0 });
class yt {
  constructor(t, e, s) {
    this.tree = t, this.overlay = e, this.parser = s;
  }
  /**
  @internal
  */
  static get(t) {
    return t && t.props && t.props[S.mounted.id];
  }
}
const ss = /* @__PURE__ */ Object.create(null);
class B {
  /**
  @internal
  */
  constructor(t, e, s, r = 0) {
    this.name = t, this.props = e, this.id = s, this.flags = r;
  }
  /**
  Define a node type.
  */
  static define(t) {
    let e = t.props && t.props.length ? /* @__PURE__ */ Object.create(null) : ss, s = (t.top ? 1 : 0) | (t.skipped ? 2 : 0) | (t.error ? 4 : 0) | (t.name == null ? 8 : 0), r = new B(t.name || "", e, t.id, s);
    if (t.props) {
      for (let i of t.props)
        if (Array.isArray(i) || (i = i(r)), i) {
          if (i[0].perNode)
            throw new RangeError("Can't store a per-node prop on a node type");
          e[i[0].id] = i[1];
        }
    }
    return r;
  }
  /**
  Retrieves a node prop for this type. Will return `undefined` if
  the prop isn't present on this node.
  */
  prop(t) {
    return this.props[t.id];
  }
  /**
  True when this is the top node of a grammar.
  */
  get isTop() {
    return (this.flags & 1) > 0;
  }
  /**
  True when this node is produced by a skip rule.
  */
  get isSkipped() {
    return (this.flags & 2) > 0;
  }
  /**
  Indicates whether this is an error node.
  */
  get isError() {
    return (this.flags & 4) > 0;
  }
  /**
  When true, this node type doesn't correspond to a user-declared
  named node, for example because it is used to cache repetition.
  */
  get isAnonymous() {
    return (this.flags & 8) > 0;
  }
  /**
  Returns true when this node's name or one of its
  [groups](#common.NodeProp^group) matches the given string.
  */
  is(t) {
    if (typeof t == "string") {
      if (this.name == t)
        return !0;
      let e = this.prop(S.group);
      return e ? e.indexOf(t) > -1 : !1;
    }
    return this.id == t;
  }
  /**
  Create a function from node types to arbitrary values by
  specifying an object whose property names are node or
  [group](#common.NodeProp^group) names. Often useful with
  [`NodeProp.add`](#common.NodeProp.add). You can put multiple
  names, separated by spaces, in a single property name to map
  multiple node names to a single value.
  */
  static match(t) {
    let e = /* @__PURE__ */ Object.create(null);
    for (let s in t)
      for (let r of s.split(" "))
        e[r] = t[s];
    return (s) => {
      for (let r = s.prop(S.group), i = -1; i < (r ? r.length : 0); i++) {
        let $ = e[i < 0 ? s.name : r[i]];
        if ($)
          return $;
      }
    };
  }
}
B.none = new B(
  "",
  /* @__PURE__ */ Object.create(null),
  0,
  8
  /* NodeFlag.Anonymous */
);
class ee {
  /**
  Create a set with the given types. The `id` property of each
  type should correspond to its position within the array.
  */
  constructor(t) {
    this.types = t;
    for (let e = 0; e < t.length; e++)
      if (t[e].id != e)
        throw new RangeError("Node type ids should correspond to array positions when creating a node set");
  }
  /**
  Create a copy of this set with some node properties added. The
  arguments to this method can be created with
  [`NodeProp.add`](#common.NodeProp.add).
  */
  extend(...t) {
    let e = [];
    for (let s of this.types) {
      let r = null;
      for (let i of t) {
        let $ = i(s);
        $ && (r || (r = Object.assign({}, s.props)), r[$[0].id] = $[1]);
      }
      e.push(r ? new B(s.name, r, s.id, s.flags) : s);
    }
    return new ee(e);
  }
}
const Ot = /* @__PURE__ */ new WeakMap(), ae = /* @__PURE__ */ new WeakMap();
var T;
(function(o) {
  o[o.ExcludeBuffers = 1] = "ExcludeBuffers", o[o.IncludeAnonymous = 2] = "IncludeAnonymous", o[o.IgnoreMounts = 4] = "IgnoreMounts", o[o.IgnoreOverlays = 8] = "IgnoreOverlays";
})(T || (T = {}));
class F {
  /**
  Construct a new tree. See also [`Tree.build`](#common.Tree^build).
  */
  constructor(t, e, s, r, i) {
    if (this.type = t, this.children = e, this.positions = s, this.length = r, this.props = null, i && i.length) {
      this.props = /* @__PURE__ */ Object.create(null);
      for (let [$, n] of i)
        this.props[typeof $ == "number" ? $ : $.id] = n;
    }
  }
  /**
  @internal
  */
  toString() {
    let t = yt.get(this);
    if (t && !t.overlay)
      return t.tree.toString();
    let e = "";
    for (let s of this.children) {
      let r = s.toString();
      r && (e && (e += ","), e += r);
    }
    return this.type.name ? (/\W/.test(this.type.name) && !this.type.isError ? JSON.stringify(this.type.name) : this.type.name) + (e.length ? "(" + e + ")" : "") : e;
  }
  /**
  Get a [tree cursor](#common.TreeCursor) positioned at the top of
  the tree. Mode can be used to [control](#common.IterMode) which
  nodes the cursor visits.
  */
  cursor(t = 0) {
    return new jt(this.topNode, t);
  }
  /**
  Get a [tree cursor](#common.TreeCursor) pointing into this tree
  at the given position and side (see
  [`moveTo`](#common.TreeCursor.moveTo).
  */
  cursorAt(t, e = 0, s = 0) {
    let r = Ot.get(this) || this.topNode, i = new jt(r);
    return i.moveTo(t, e), Ot.set(this, i._tree), i;
  }
  /**
  Get a [syntax node](#common.SyntaxNode) object for the top of the
  tree.
  */
  get topNode() {
    return new V(this, 0, 0, null);
  }
  /**
  Get the [syntax node](#common.SyntaxNode) at the given position.
  If `side` is -1, this will move into nodes that end at the
  position. If 1, it'll move into nodes that start at the
  position. With 0, it'll only enter nodes that cover the position
  from both sides.
  
  Note that this will not enter
  [overlays](#common.MountedTree.overlay), and you often want
  [`resolveInner`](#common.Tree.resolveInner) instead.
  */
  resolve(t, e = 0) {
    let s = kt(Ot.get(this) || this.topNode, t, e, !1);
    return Ot.set(this, s), s;
  }
  /**
  Like [`resolve`](#common.Tree.resolve), but will enter
  [overlaid](#common.MountedTree.overlay) nodes, producing a syntax node
  pointing into the innermost overlaid tree at the given position
  (with parent links going through all parent structure, including
  the host trees).
  */
  resolveInner(t, e = 0) {
    let s = kt(ae.get(this) || this.topNode, t, e, !0);
    return ae.set(this, s), s;
  }
  /**
  In some situations, it can be useful to iterate through all
  nodes around a position, including those in overlays that don't
  directly cover the position. This method gives you an iterator
  that will produce all nodes, from small to big, around the given
  position.
  */
  resolveStack(t, e = 0) {
    return $s(this, t, e);
  }
  /**
  Iterate over the tree and its children, calling `enter` for any
  node that touches the `from`/`to` region (if given) before
  running over such a node's children, and `leave` (if given) when
  leaving the node. When `enter` returns `false`, that node will
  not have its children iterated over (or `leave` called).
  */
  iterate(t) {
    let { enter: e, leave: s, from: r = 0, to: i = this.length } = t, $ = t.mode || 0, n = ($ & T.IncludeAnonymous) > 0;
    for (let l = this.cursor($ | T.IncludeAnonymous); ; ) {
      let h = !1;
      if (l.from <= i && l.to >= r && (!n && l.type.isAnonymous || e(l) !== !1)) {
        if (l.firstChild())
          continue;
        h = !0;
      }
      for (; h && s && (n || !l.type.isAnonymous) && s(l), !l.nextSibling(); ) {
        if (!l.parent())
          return;
        h = !0;
      }
    }
  }
  /**
  Get the value of the given [node prop](#common.NodeProp) for this
  node. Works with both per-node and per-type props.
  */
  prop(t) {
    return t.perNode ? this.props ? this.props[t.id] : void 0 : this.type.prop(t);
  }
  /**
  Returns the node's [per-node props](#common.NodeProp.perNode) in a
  format that can be passed to the [`Tree`](#common.Tree)
  constructor.
  */
  get propValues() {
    let t = [];
    if (this.props)
      for (let e in this.props)
        t.push([+e, this.props[e]]);
    return t;
  }
  /**
  Balance the direct children of this tree, producing a copy of
  which may have children grouped into subtrees with type
  [`NodeType.none`](#common.NodeType^none).
  */
  balance(t = {}) {
    return this.children.length <= 8 ? this : ie(B.none, this.children, this.positions, 0, this.children.length, 0, this.length, (e, s, r) => new F(this.type, e, s, r, this.propValues), t.makeTree || ((e, s, r) => new F(B.none, e, s, r)));
  }
  /**
  Build a tree from a postfix-ordered buffer of node information,
  or a cursor over such a buffer.
  */
  static build(t) {
    return ns(t);
  }
}
F.empty = new F(B.none, [], [], 0);
class se {
  constructor(t, e) {
    this.buffer = t, this.index = e;
  }
  get id() {
    return this.buffer[this.index - 4];
  }
  get start() {
    return this.buffer[this.index - 3];
  }
  get end() {
    return this.buffer[this.index - 2];
  }
  get size() {
    return this.buffer[this.index - 1];
  }
  get pos() {
    return this.index;
  }
  next() {
    this.index -= 4;
  }
  fork() {
    return new se(this.buffer, this.index);
  }
}
class et {
  /**
  Create a tree buffer.
  */
  constructor(t, e, s) {
    this.buffer = t, this.length = e, this.set = s;
  }
  /**
  @internal
  */
  get type() {
    return B.none;
  }
  /**
  @internal
  */
  toString() {
    let t = [];
    for (let e = 0; e < this.buffer.length; )
      t.push(this.childString(e)), e = this.buffer[e + 3];
    return t.join(",");
  }
  /**
  @internal
  */
  childString(t) {
    let e = this.buffer[t], s = this.buffer[t + 3], r = this.set.types[e], i = r.name;
    if (/\W/.test(i) && !r.isError && (i = JSON.stringify(i)), t += 4, s == t)
      return i;
    let $ = [];
    for (; t < s; )
      $.push(this.childString(t)), t = this.buffer[t + 3];
    return i + "(" + $.join(",") + ")";
  }
  /**
  @internal
  */
  findChild(t, e, s, r, i) {
    let { buffer: $ } = this, n = -1;
    for (let l = t; l != e && !(De(i, r, $[l + 1], $[l + 2]) && (n = l, s > 0)); l = $[l + 3])
      ;
    return n;
  }
  /**
  @internal
  */
  slice(t, e, s) {
    let r = this.buffer, i = new Uint16Array(e - t), $ = 0;
    for (let n = t, l = 0; n < e; ) {
      i[l++] = r[n++], i[l++] = r[n++] - s;
      let h = i[l++] = r[n++] - s;
      i[l++] = r[n++] - t, $ = Math.max($, h);
    }
    return new et(i, $, this.set);
  }
}
function De(o, t, e, s) {
  switch (o) {
    case -2:
      return e < t;
    case -1:
      return s >= t && e < t;
    case 0:
      return e < t && s > t;
    case 1:
      return e <= t && s > t;
    case 2:
      return s > t;
    case 4:
      return !0;
  }
}
function kt(o, t, e, s) {
  for (var r; o.from == o.to || (e < 1 ? o.from >= t : o.from > t) || (e > -1 ? o.to <= t : o.to < t); ) {
    let $ = !s && o instanceof V && o.index < 0 ? null : o.parent;
    if (!$)
      return o;
    o = $;
  }
  let i = s ? 0 : T.IgnoreOverlays;
  if (s)
    for (let $ = o, n = $.parent; n; $ = n, n = $.parent)
      $ instanceof V && $.index < 0 && ((r = n.enter(t, e, i)) === null || r === void 0 ? void 0 : r.from) != $.from && (o = n);
  for (; ; ) {
    let $ = o.enter(t, e, i);
    if (!$)
      return o;
    o = $;
  }
}
class ve {
  cursor(t = 0) {
    return new jt(this, t);
  }
  getChild(t, e = null, s = null) {
    let r = ue(this, t, e, s);
    return r.length ? r[0] : null;
  }
  getChildren(t, e = null, s = null) {
    return ue(this, t, e, s);
  }
  resolve(t, e = 0) {
    return kt(this, t, e, !1);
  }
  resolveInner(t, e = 0) {
    return kt(this, t, e, !0);
  }
  matchContext(t) {
    return Qt(this, t);
  }
  enterUnfinishedNodesBefore(t) {
    let e = this.childBefore(t), s = this;
    for (; e; ) {
      let r = e.lastChild;
      if (!r || r.to != e.to)
        break;
      r.type.isError && r.from == r.to ? (s = e, e = r.prevSibling) : e = r;
    }
    return s;
  }
  get node() {
    return this;
  }
  get next() {
    return this.parent;
  }
}
class V extends ve {
  constructor(t, e, s, r) {
    super(), this._tree = t, this.from = e, this.index = s, this._parent = r;
  }
  get type() {
    return this._tree.type;
  }
  get name() {
    return this._tree.type.name;
  }
  get to() {
    return this.from + this._tree.length;
  }
  nextChild(t, e, s, r, i = 0) {
    for (let $ = this; ; ) {
      for (let { children: n, positions: l } = $._tree, h = e > 0 ? n.length : -1; t != h; t += e) {
        let u = n[t], a = l[t] + $.from;
        if (De(r, s, a, a + u.length)) {
          if (u instanceof et) {
            if (i & T.ExcludeBuffers)
              continue;
            let p = u.findChild(0, u.buffer.length, e, s - a, r);
            if (p > -1)
              return new tt(new rs($, u, t, a), null, p);
          } else if (i & T.IncludeAnonymous || !u.type.isAnonymous || re(u)) {
            let p;
            if (!(i & T.IgnoreMounts) && (p = yt.get(u)) && !p.overlay)
              return new V(p.tree, a, t, $);
            let _ = new V(u, a, t, $);
            return i & T.IncludeAnonymous || !_.type.isAnonymous ? _ : _.nextChild(e < 0 ? u.children.length - 1 : 0, e, s, r);
          }
        }
      }
      if (i & T.IncludeAnonymous || !$.type.isAnonymous || ($.index >= 0 ? t = $.index + e : t = e < 0 ? -1 : $._parent._tree.children.length, $ = $._parent, !$))
        return null;
    }
  }
  get firstChild() {
    return this.nextChild(
      0,
      1,
      0,
      4
      /* Side.DontCare */
    );
  }
  get lastChild() {
    return this.nextChild(
      this._tree.children.length - 1,
      -1,
      0,
      4
      /* Side.DontCare */
    );
  }
  childAfter(t) {
    return this.nextChild(
      0,
      1,
      t,
      2
      /* Side.After */
    );
  }
  childBefore(t) {
    return this.nextChild(
      this._tree.children.length - 1,
      -1,
      t,
      -2
      /* Side.Before */
    );
  }
  enter(t, e, s = 0) {
    let r;
    if (!(s & T.IgnoreOverlays) && (r = yt.get(this._tree)) && r.overlay) {
      let i = t - this.from;
      for (let { from: $, to: n } of r.overlay)
        if ((e > 0 ? $ <= i : $ < i) && (e < 0 ? n >= i : n > i))
          return new V(r.tree, r.overlay[0].from + this.from, -1, this);
    }
    return this.nextChild(0, 1, t, e, s);
  }
  nextSignificantParent() {
    let t = this;
    for (; t.type.isAnonymous && t._parent; )
      t = t._parent;
    return t;
  }
  get parent() {
    return this._parent ? this._parent.nextSignificantParent() : null;
  }
  get nextSibling() {
    return this._parent && this.index >= 0 ? this._parent.nextChild(
      this.index + 1,
      1,
      0,
      4
      /* Side.DontCare */
    ) : null;
  }
  get prevSibling() {
    return this._parent && this.index >= 0 ? this._parent.nextChild(
      this.index - 1,
      -1,
      0,
      4
      /* Side.DontCare */
    ) : null;
  }
  get tree() {
    return this._tree;
  }
  toTree() {
    return this._tree;
  }
  /**
  @internal
  */
  toString() {
    return this._tree.toString();
  }
}
function ue(o, t, e, s) {
  let r = o.cursor(), i = [];
  if (!r.firstChild())
    return i;
  if (e != null) {
    for (; !r.type.is(e); )
      if (!r.nextSibling())
        return i;
  }
  for (; ; ) {
    if (s != null && r.type.is(s))
      return i;
    if (r.type.is(t) && i.push(r.node), !r.nextSibling())
      return s == null ? i : [];
  }
}
function Qt(o, t, e = t.length - 1) {
  for (let s = o.parent; e >= 0; s = s.parent) {
    if (!s)
      return !1;
    if (!s.type.isAnonymous) {
      if (t[e] && t[e] != s.name)
        return !1;
      e--;
    }
  }
  return !0;
}
class rs {
  constructor(t, e, s, r) {
    this.parent = t, this.buffer = e, this.index = s, this.start = r;
  }
}
class tt extends ve {
  get name() {
    return this.type.name;
  }
  get from() {
    return this.context.start + this.context.buffer.buffer[this.index + 1];
  }
  get to() {
    return this.context.start + this.context.buffer.buffer[this.index + 2];
  }
  constructor(t, e, s) {
    super(), this.context = t, this._parent = e, this.index = s, this.type = t.buffer.set.types[t.buffer.buffer[s]];
  }
  child(t, e, s) {
    let { buffer: r } = this.context, i = r.findChild(this.index + 4, r.buffer[this.index + 3], t, e - this.context.start, s);
    return i < 0 ? null : new tt(this.context, this, i);
  }
  get firstChild() {
    return this.child(
      1,
      0,
      4
      /* Side.DontCare */
    );
  }
  get lastChild() {
    return this.child(
      -1,
      0,
      4
      /* Side.DontCare */
    );
  }
  childAfter(t) {
    return this.child(
      1,
      t,
      2
      /* Side.After */
    );
  }
  childBefore(t) {
    return this.child(
      -1,
      t,
      -2
      /* Side.Before */
    );
  }
  enter(t, e, s = 0) {
    if (s & T.ExcludeBuffers)
      return null;
    let { buffer: r } = this.context, i = r.findChild(this.index + 4, r.buffer[this.index + 3], e > 0 ? 1 : -1, t - this.context.start, e);
    return i < 0 ? null : new tt(this.context, this, i);
  }
  get parent() {
    return this._parent || this.context.parent.nextSignificantParent();
  }
  externalSibling(t) {
    return this._parent ? null : this.context.parent.nextChild(
      this.context.index + t,
      t,
      0,
      4
      /* Side.DontCare */
    );
  }
  get nextSibling() {
    let { buffer: t } = this.context, e = t.buffer[this.index + 3];
    return e < (this._parent ? t.buffer[this._parent.index + 3] : t.buffer.length) ? new tt(this.context, this._parent, e) : this.externalSibling(1);
  }
  get prevSibling() {
    let { buffer: t } = this.context, e = this._parent ? this._parent.index + 4 : 0;
    return this.index == e ? this.externalSibling(-1) : new tt(this.context, this._parent, t.findChild(
      e,
      this.index,
      -1,
      0,
      4
      /* Side.DontCare */
    ));
  }
  get tree() {
    return null;
  }
  toTree() {
    let t = [], e = [], { buffer: s } = this.context, r = this.index + 4, i = s.buffer[this.index + 3];
    if (i > r) {
      let $ = s.buffer[this.index + 1];
      t.push(s.slice(r, i, $)), e.push(0);
    }
    return new F(this.type, t, e, this.to - this.from);
  }
  /**
  @internal
  */
  toString() {
    return this.context.buffer.childString(this.index);
  }
}
function Ce(o) {
  if (!o.length)
    return null;
  let t = 0, e = o[0];
  for (let i = 1; i < o.length; i++) {
    let $ = o[i];
    ($.from > e.from || $.to < e.to) && (e = $, t = i);
  }
  let s = e instanceof V && e.index < 0 ? null : e.parent, r = o.slice();
  return s ? r[t] = s : r.splice(t, 1), new is(r, e);
}
class is {
  constructor(t, e) {
    this.heads = t, this.node = e;
  }
  get next() {
    return Ce(this.heads);
  }
}
function $s(o, t, e) {
  let s = o.resolveInner(t, e), r = null;
  for (let i = s instanceof V ? s : s.context.parent; i; i = i.parent)
    if (i.index < 0) {
      let $ = i.parent;
      (r || (r = [s])).push($.resolve(t, e)), i = $;
    } else {
      let $ = yt.get(i.tree);
      if ($ && $.overlay && $.overlay[0].from <= t && $.overlay[$.overlay.length - 1].to >= t) {
        let n = new V($.tree, $.overlay[0].from + i.from, -1, i);
        (r || (r = [s])).push(kt(n, t, e, !1));
      }
    }
  return r ? Ce(r) : s;
}
class jt {
  /**
  Shorthand for `.type.name`.
  */
  get name() {
    return this.type.name;
  }
  /**
  @internal
  */
  constructor(t, e = 0) {
    if (this.mode = e, this.buffer = null, this.stack = [], this.index = 0, this.bufferNode = null, t instanceof V)
      this.yieldNode(t);
    else {
      this._tree = t.context.parent, this.buffer = t.context;
      for (let s = t._parent; s; s = s._parent)
        this.stack.unshift(s.index);
      this.bufferNode = t, this.yieldBuf(t.index);
    }
  }
  yieldNode(t) {
    return t ? (this._tree = t, this.type = t.type, this.from = t.from, this.to = t.to, !0) : !1;
  }
  yieldBuf(t, e) {
    this.index = t;
    let { start: s, buffer: r } = this.buffer;
    return this.type = e || r.set.types[r.buffer[t]], this.from = s + r.buffer[t + 1], this.to = s + r.buffer[t + 2], !0;
  }
  /**
  @internal
  */
  yield(t) {
    return t ? t instanceof V ? (this.buffer = null, this.yieldNode(t)) : (this.buffer = t.context, this.yieldBuf(t.index, t.type)) : !1;
  }
  /**
  @internal
  */
  toString() {
    return this.buffer ? this.buffer.buffer.childString(this.index) : this._tree.toString();
  }
  /**
  @internal
  */
  enterChild(t, e, s) {
    if (!this.buffer)
      return this.yield(this._tree.nextChild(t < 0 ? this._tree._tree.children.length - 1 : 0, t, e, s, this.mode));
    let { buffer: r } = this.buffer, i = r.findChild(this.index + 4, r.buffer[this.index + 3], t, e - this.buffer.start, s);
    return i < 0 ? !1 : (this.stack.push(this.index), this.yieldBuf(i));
  }
  /**
  Move the cursor to this node's first child. When this returns
  false, the node has no child, and the cursor has not been moved.
  */
  firstChild() {
    return this.enterChild(
      1,
      0,
      4
      /* Side.DontCare */
    );
  }
  /**
  Move the cursor to this node's last child.
  */
  lastChild() {
    return this.enterChild(
      -1,
      0,
      4
      /* Side.DontCare */
    );
  }
  /**
  Move the cursor to the first child that ends after `pos`.
  */
  childAfter(t) {
    return this.enterChild(
      1,
      t,
      2
      /* Side.After */
    );
  }
  /**
  Move to the last child that starts before `pos`.
  */
  childBefore(t) {
    return this.enterChild(
      -1,
      t,
      -2
      /* Side.Before */
    );
  }
  /**
  Move the cursor to the child around `pos`. If side is -1 the
  child may end at that position, when 1 it may start there. This
  will also enter [overlaid](#common.MountedTree.overlay)
  [mounted](#common.NodeProp^mounted) trees unless `overlays` is
  set to false.
  */
  enter(t, e, s = this.mode) {
    return this.buffer ? s & T.ExcludeBuffers ? !1 : this.enterChild(1, t, e) : this.yield(this._tree.enter(t, e, s));
  }
  /**
  Move to the node's parent node, if this isn't the top node.
  */
  parent() {
    if (!this.buffer)
      return this.yieldNode(this.mode & T.IncludeAnonymous ? this._tree._parent : this._tree.parent);
    if (this.stack.length)
      return this.yieldBuf(this.stack.pop());
    let t = this.mode & T.IncludeAnonymous ? this.buffer.parent : this.buffer.parent.nextSignificantParent();
    return this.buffer = null, this.yieldNode(t);
  }
  /**
  @internal
  */
  sibling(t) {
    if (!this.buffer)
      return this._tree._parent ? this.yield(this._tree.index < 0 ? null : this._tree._parent.nextChild(this._tree.index + t, t, 0, 4, this.mode)) : !1;
    let { buffer: e } = this.buffer, s = this.stack.length - 1;
    if (t < 0) {
      let r = s < 0 ? 0 : this.stack[s] + 4;
      if (this.index != r)
        return this.yieldBuf(e.findChild(
          r,
          this.index,
          -1,
          0,
          4
          /* Side.DontCare */
        ));
    } else {
      let r = e.buffer[this.index + 3];
      if (r < (s < 0 ? e.buffer.length : e.buffer[this.stack[s] + 3]))
        return this.yieldBuf(r);
    }
    return s < 0 ? this.yield(this.buffer.parent.nextChild(this.buffer.index + t, t, 0, 4, this.mode)) : !1;
  }
  /**
  Move to this node's next sibling, if any.
  */
  nextSibling() {
    return this.sibling(1);
  }
  /**
  Move to this node's previous sibling, if any.
  */
  prevSibling() {
    return this.sibling(-1);
  }
  atLastNode(t) {
    let e, s, { buffer: r } = this;
    if (r) {
      if (t > 0) {
        if (this.index < r.buffer.buffer.length)
          return !1;
      } else
        for (let i = 0; i < this.index; i++)
          if (r.buffer.buffer[i + 3] < this.index)
            return !1;
      ({ index: e, parent: s } = r);
    } else
      ({ index: e, _parent: s } = this._tree);
    for (; s; { index: e, _parent: s } = s)
      if (e > -1)
        for (let i = e + t, $ = t < 0 ? -1 : s._tree.children.length; i != $; i += t) {
          let n = s._tree.children[i];
          if (this.mode & T.IncludeAnonymous || n instanceof et || !n.type.isAnonymous || re(n))
            return !1;
        }
    return !0;
  }
  move(t, e) {
    if (e && this.enterChild(
      t,
      0,
      4
      /* Side.DontCare */
    ))
      return !0;
    for (; ; ) {
      if (this.sibling(t))
        return !0;
      if (this.atLastNode(t) || !this.parent())
        return !1;
    }
  }
  /**
  Move to the next node in a
  [pre-order](https://en.wikipedia.org/wiki/Tree_traversal#Pre-order,_NLR)
  traversal, going from a node to its first child or, if the
  current node is empty or `enter` is false, its next sibling or
  the next sibling of the first parent node that has one.
  */
  next(t = !0) {
    return this.move(1, t);
  }
  /**
  Move to the next node in a last-to-first pre-order traveral. A
  node is followed by its last child or, if it has none, its
  previous sibling or the previous sibling of the first parent
  node that has one.
  */
  prev(t = !0) {
    return this.move(-1, t);
  }
  /**
  Move the cursor to the innermost node that covers `pos`. If
  `side` is -1, it will enter nodes that end at `pos`. If it is 1,
  it will enter nodes that start at `pos`.
  */
  moveTo(t, e = 0) {
    for (; (this.from == this.to || (e < 1 ? this.from >= t : this.from > t) || (e > -1 ? this.to <= t : this.to < t)) && this.parent(); )
      ;
    for (; this.enterChild(1, t, e); )
      ;
    return this;
  }
  /**
  Get a [syntax node](#common.SyntaxNode) at the cursor's current
  position.
  */
  get node() {
    if (!this.buffer)
      return this._tree;
    let t = this.bufferNode, e = null, s = 0;
    if (t && t.context == this.buffer)
      t:
        for (let r = this.index, i = this.stack.length; i >= 0; ) {
          for (let $ = t; $; $ = $._parent)
            if ($.index == r) {
              if (r == this.index)
                return $;
              e = $, s = i + 1;
              break t;
            }
          r = this.stack[--i];
        }
    for (let r = s; r < this.stack.length; r++)
      e = new tt(this.buffer, e, this.stack[r]);
    return this.bufferNode = new tt(this.buffer, e, this.index);
  }
  /**
  Get the [tree](#common.Tree) that represents the current node, if
  any. Will return null when the node is in a [tree
  buffer](#common.TreeBuffer).
  */
  get tree() {
    return this.buffer ? null : this._tree._tree;
  }
  /**
  Iterate over the current node and all its descendants, calling
  `enter` when entering a node and `leave`, if given, when leaving
  one. When `enter` returns `false`, any children of that node are
  skipped, and `leave` isn't called for it.
  */
  iterate(t, e) {
    for (let s = 0; ; ) {
      let r = !1;
      if (this.type.isAnonymous || t(this) !== !1) {
        if (this.firstChild()) {
          s++;
          continue;
        }
        this.type.isAnonymous || (r = !0);
      }
      for (; r && e && e(this), r = this.type.isAnonymous, !this.nextSibling(); ) {
        if (!s)
          return;
        this.parent(), s--, r = !0;
      }
    }
  }
  /**
  Test whether the current node matches a given context—a sequence
  of direct parent node names. Empty strings in the context array
  are treated as wildcards.
  */
  matchContext(t) {
    if (!this.buffer)
      return Qt(this.node, t);
    let { buffer: e } = this.buffer, { types: s } = e.set;
    for (let r = t.length - 1, i = this.stack.length - 1; r >= 0; i--) {
      if (i < 0)
        return Qt(this.node, t, r);
      let $ = s[e.buffer[this.stack[i]]];
      if (!$.isAnonymous) {
        if (t[r] && t[r] != $.name)
          return !1;
        r--;
      }
    }
    return !0;
  }
}
function re(o) {
  return o.children.some((t) => t instanceof et || !t.type.isAnonymous || re(t));
}
function ns(o) {
  var t;
  let { buffer: e, nodeSet: s, maxBufferLength: r = Ve, reused: i = [], minRepeatType: $ = s.types.length } = o, n = Array.isArray(e) ? new se(e, e.length) : e, l = s.types, h = 0, u = 0;
  function a(g, m, c, w, b, x) {
    let { id: W, start: O, end: y, size: I } = n, R = u;
    for (; I < 0; )
      if (n.next(), I == -1) {
        let Q = i[W];
        c.push(Q), w.push(O - g);
        return;
      } else if (I == -3) {
        h = W;
        return;
      } else if (I == -4) {
        u = W;
        return;
      } else
        throw new RangeError(`Unrecognized record size: ${I}`);
    let st = l[W], ot, rt, le = O - g;
    if (y - O <= r && (rt = P(n.pos - m, b))) {
      let Q = new Uint16Array(rt.size - rt.skip), H = n.pos - rt.size, Y = Q.length;
      for (; n.pos > H; )
        Y = D(rt.start, Q, Y);
      ot = new et(Q, y - rt.start, s), le = rt.start - g;
    } else {
      let Q = n.pos - I;
      n.next();
      let H = [], Y = [], it = W >= $ ? W : -1, lt = 0, Wt = y;
      for (; n.pos > Q; )
        it >= 0 && n.id == it && n.size >= 0 ? (n.end <= Wt - r && (k(H, Y, O, lt, n.end, Wt, it, R), lt = H.length, Wt = n.end), n.next()) : x > 2500 ? p(O, Q, H, Y) : a(O, Q, H, Y, it, x + 1);
      if (it >= 0 && lt > 0 && lt < H.length && k(H, Y, O, lt, O, Wt, it, R), H.reverse(), Y.reverse(), it > -1 && lt > 0) {
        let he = _(st);
        ot = ie(st, H, Y, 0, H.length, 0, y - O, he, he);
      } else
        ot = J(st, H, Y, y - O, R - y);
    }
    c.push(ot), w.push(le);
  }
  function p(g, m, c, w) {
    let b = [], x = 0, W = -1;
    for (; n.pos > m; ) {
      let { id: O, start: y, end: I, size: R } = n;
      if (R > 4)
        n.next();
      else {
        if (W > -1 && y < W)
          break;
        W < 0 && (W = I - r), b.push(O, y, I), x++, n.next();
      }
    }
    if (x) {
      let O = new Uint16Array(x * 4), y = b[b.length - 2];
      for (let I = b.length - 3, R = 0; I >= 0; I -= 3)
        O[R++] = b[I], O[R++] = b[I + 1] - y, O[R++] = b[I + 2] - y, O[R++] = R;
      c.push(new et(O, b[2] - y, s)), w.push(y - g);
    }
  }
  function _(g) {
    return (m, c, w) => {
      let b = 0, x = m.length - 1, W, O;
      if (x >= 0 && (W = m[x]) instanceof F) {
        if (!x && W.type == g && W.length == w)
          return W;
        (O = W.prop(S.lookAhead)) && (b = c[x] + W.length + O);
      }
      return J(g, m, c, w, b);
    };
  }
  function k(g, m, c, w, b, x, W, O) {
    let y = [], I = [];
    for (; g.length > w; )
      y.push(g.pop()), I.push(m.pop() + c - b);
    g.push(J(s.types[W], y, I, x - b, O - x)), m.push(b - c);
  }
  function J(g, m, c, w, b = 0, x) {
    if (h) {
      let W = [S.contextHash, h];
      x = x ? [W].concat(x) : [W];
    }
    if (b > 25) {
      let W = [S.lookAhead, b];
      x = x ? [W].concat(x) : [W];
    }
    return new F(g, m, c, w, x);
  }
  function P(g, m) {
    let c = n.fork(), w = 0, b = 0, x = 0, W = c.end - r, O = { size: 0, start: 0, skip: 0 };
    t:
      for (let y = c.pos - g; c.pos > y; ) {
        let I = c.size;
        if (c.id == m && I >= 0) {
          O.size = w, O.start = b, O.skip = x, x += 4, w += 4, c.next();
          continue;
        }
        let R = c.pos - I;
        if (I < 0 || R < y || c.start < W)
          break;
        let st = c.id >= $ ? 4 : 0, ot = c.start;
        for (c.next(); c.pos > R; ) {
          if (c.size < 0)
            if (c.size == -3)
              st += 4;
            else
              break t;
          else
            c.id >= $ && (st += 4);
          c.next();
        }
        b = ot, w += I, x += st;
      }
    return (m < 0 || w == g) && (O.size = w, O.start = b, O.skip = x), O.size > 4 ? O : void 0;
  }
  function D(g, m, c) {
    let { id: w, start: b, end: x, size: W } = n;
    if (n.next(), W >= 0 && w < $) {
      let O = c;
      if (W > 4) {
        let y = n.pos - (W - 4);
        for (; n.pos > y; )
          c = D(g, m, c);
      }
      m[--c] = O, m[--c] = x - g, m[--c] = b - g, m[--c] = w;
    } else
      W == -3 ? h = w : W == -4 && (u = w);
    return c;
  }
  let q = [], X = [];
  for (; n.pos > 0; )
    a(o.start || 0, o.bufferStart || 0, q, X, -1, 0);
  let C = (t = o.length) !== null && t !== void 0 ? t : q.length ? X[0] + q[0].length : 0;
  return new F(l[o.topID], q.reverse(), X.reverse(), C);
}
const fe = /* @__PURE__ */ new WeakMap();
function mt(o, t) {
  if (!o.isAnonymous || t instanceof et || t.type != o)
    return 1;
  let e = fe.get(t);
  if (e == null) {
    e = 1;
    for (let s of t.children) {
      if (s.type != o || !(s instanceof F)) {
        e = 1;
        break;
      }
      e += mt(o, s);
    }
    fe.set(t, e);
  }
  return e;
}
function ie(o, t, e, s, r, i, $, n, l) {
  let h = 0;
  for (let k = s; k < r; k++)
    h += mt(o, t[k]);
  let u = Math.ceil(
    h * 1.5 / 8
    /* Balance.BranchFactor */
  ), a = [], p = [];
  function _(k, J, P, D, q) {
    for (let X = P; X < D; ) {
      let C = X, g = J[X], m = mt(o, k[X]);
      for (X++; X < D; X++) {
        let c = mt(o, k[X]);
        if (m + c >= u)
          break;
        m += c;
      }
      if (X == C + 1) {
        if (m > u) {
          let c = k[C];
          _(c.children, c.positions, 0, c.children.length, J[C] + q);
          continue;
        }
        a.push(k[C]);
      } else {
        let c = J[X - 1] + k[X - 1].length - g;
        a.push(ie(o, k, J, C, X, g, c, null, l));
      }
      p.push(g + q - i);
    }
  }
  return _(t, e, s, r, 0), (n || l)(a, p, $);
}
class nt {
  /**
  Construct a tree fragment. You'll usually want to use
  [`addTree`](#common.TreeFragment^addTree) and
  [`applyChanges`](#common.TreeFragment^applyChanges) instead of
  calling this directly.
  */
  constructor(t, e, s, r, i = !1, $ = !1) {
    this.from = t, this.to = e, this.tree = s, this.offset = r, this.open = (i ? 1 : 0) | ($ ? 2 : 0);
  }
  /**
  Whether the start of the fragment represents the start of a
  parse, or the end of a change. (In the second case, it may not
  be safe to reuse some nodes at the start, depending on the
  parsing algorithm.)
  */
  get openStart() {
    return (this.open & 1) > 0;
  }
  /**
  Whether the end of the fragment represents the end of a
  full-document parse, or the start of a change.
  */
  get openEnd() {
    return (this.open & 2) > 0;
  }
  /**
  Create a set of fragments from a freshly parsed tree, or update
  an existing set of fragments by replacing the ones that overlap
  with a tree with content from the new tree. When `partial` is
  true, the parse is treated as incomplete, and the resulting
  fragment has [`openEnd`](#common.TreeFragment.openEnd) set to
  true.
  */
  static addTree(t, e = [], s = !1) {
    let r = [new nt(0, t.length, t, 0, !1, s)];
    for (let i of e)
      i.to > t.length && r.push(i);
    return r;
  }
  /**
  Apply a set of edits to an array of fragments, removing or
  splitting fragments as necessary to remove edited ranges, and
  adjusting offsets for fragments that moved.
  */
  static applyChanges(t, e, s = 128) {
    if (!e.length)
      return t;
    let r = [], i = 1, $ = t.length ? t[0] : null;
    for (let n = 0, l = 0, h = 0; ; n++) {
      let u = n < e.length ? e[n] : null, a = u ? u.fromA : 1e9;
      if (a - l >= s)
        for (; $ && $.from < a; ) {
          let p = $;
          if (l >= p.from || a <= p.to || h) {
            let _ = Math.max(p.from, l) - h, k = Math.min(p.to, a) - h;
            p = _ >= k ? null : new nt(_, k, p.tree, p.offset + h, n > 0, !!u);
          }
          if (p && r.push(p), $.to > a)
            break;
          $ = i < t.length ? t[i++] : null;
        }
      if (!u)
        break;
      l = u.toA, h = u.toA - u.toB;
    }
    return r;
  }
}
class Ye {
  /**
  Start a parse, returning a [partial parse](#common.PartialParse)
  object. [`fragments`](#common.TreeFragment) can be passed in to
  make the parse incremental.
  
  By default, the entire input is parsed. You can pass `ranges`,
  which should be a sorted array of non-empty, non-overlapping
  ranges, to parse only those ranges. The tree returned in that
  case will start at `ranges[0].from`.
  */
  startParse(t, e, s) {
    return typeof t == "string" && (t = new os(t)), s = s ? s.length ? s.map((r) => new vt(r.from, r.to)) : [new vt(0, 0)] : [new vt(0, t.length)], this.createParse(t, e || [], s);
  }
  /**
  Run a full parse, returning the resulting tree.
  */
  parse(t, e, s) {
    let r = this.startParse(t, e, s);
    for (; ; ) {
      let i = r.advance();
      if (i)
        return i;
    }
  }
}
class os {
  constructor(t) {
    this.string = t;
  }
  get length() {
    return this.string.length;
  }
  chunk(t) {
    return this.string.slice(t);
  }
  get lineChunks() {
    return !1;
  }
  read(t, e) {
    return this.string.slice(t, e);
  }
}
new S({ perNode: !0 });
class Xt {
  /**
  @internal
  */
  constructor(t, e, s, r, i, $, n, l, h, u = 0, a) {
    this.p = t, this.stack = e, this.state = s, this.reducePos = r, this.pos = i, this.score = $, this.buffer = n, this.bufferBase = l, this.curContext = h, this.lookAhead = u, this.parent = a;
  }
  /**
  @internal
  */
  toString() {
    return `[${this.stack.filter((t, e) => e % 3 == 0).concat(this.state)}]@${this.pos}${this.score ? "!" + this.score : ""}`;
  }
  // Start an empty stack
  /**
  @internal
  */
  static start(t, e, s = 0) {
    let r = t.parser.context;
    return new Xt(t, [], e, s, s, 0, [], 0, r ? new pe(r, r.start) : null, 0, null);
  }
  /**
  The stack's current [context](#lr.ContextTracker) value, if
  any. Its type will depend on the context tracker's type
  parameter, or it will be `null` if there is no context
  tracker.
  */
  get context() {
    return this.curContext ? this.curContext.context : null;
  }
  // Push a state onto the stack, tracking its start position as well
  // as the buffer base at that point.
  /**
  @internal
  */
  pushState(t, e) {
    this.stack.push(this.state, e, this.bufferBase + this.buffer.length), this.state = t;
  }
  // Apply a reduce action
  /**
  @internal
  */
  reduce(t) {
    var e;
    let s = t >> 19, r = t & 65535, { parser: i } = this.p, $ = i.dynamicPrecedence(r);
    if ($ && (this.score += $), s == 0) {
      this.pushState(i.getGoto(this.state, r, !0), this.reducePos), r < i.minRepeatTerm && this.storeNode(r, this.reducePos, this.reducePos, 4, !0), this.reduceContext(r, this.reducePos);
      return;
    }
    let n = this.stack.length - (s - 1) * 3 - (t & 262144 ? 6 : 0), l = n ? this.stack[n - 2] : this.p.ranges[0].from, h = this.reducePos - l;
    h >= 2e3 && !(!((e = this.p.parser.nodeSet.types[r]) === null || e === void 0) && e.isAnonymous) && (l == this.p.lastBigReductionStart ? (this.p.bigReductionCount++, this.p.lastBigReductionSize = h) : this.p.lastBigReductionSize < h && (this.p.bigReductionCount = 1, this.p.lastBigReductionStart = l, this.p.lastBigReductionSize = h));
    let u = n ? this.stack[n - 1] : 0, a = this.bufferBase + this.buffer.length - u;
    if (r < i.minRepeatTerm || t & 131072) {
      let p = i.stateFlag(
        this.state,
        1
        /* StateFlag.Skipped */
      ) ? this.pos : this.reducePos;
      this.storeNode(r, l, p, a + 4, !0);
    }
    if (t & 262144)
      this.state = this.stack[n];
    else {
      let p = this.stack[n - 3];
      this.state = i.getGoto(p, r, !0);
    }
    for (; this.stack.length > n; )
      this.stack.pop();
    this.reduceContext(r, l);
  }
  // Shift a value into the buffer
  /**
  @internal
  */
  storeNode(t, e, s, r = 4, i = !1) {
    if (t == 0 && (!this.stack.length || this.stack[this.stack.length - 1] < this.buffer.length + this.bufferBase)) {
      let $ = this, n = this.buffer.length;
      if (n == 0 && $.parent && (n = $.bufferBase - $.parent.bufferBase, $ = $.parent), n > 0 && $.buffer[n - 4] == 0 && $.buffer[n - 1] > -1) {
        if (e == s)
          return;
        if ($.buffer[n - 2] >= e) {
          $.buffer[n - 2] = s;
          return;
        }
      }
    }
    if (!i || this.pos == s)
      this.buffer.push(t, e, s, r);
    else {
      let $ = this.buffer.length;
      if ($ > 0 && this.buffer[$ - 4] != 0)
        for (; $ > 0 && this.buffer[$ - 2] > s; )
          this.buffer[$] = this.buffer[$ - 4], this.buffer[$ + 1] = this.buffer[$ - 3], this.buffer[$ + 2] = this.buffer[$ - 2], this.buffer[$ + 3] = this.buffer[$ - 1], $ -= 4, r > 4 && (r -= 4);
      this.buffer[$] = t, this.buffer[$ + 1] = e, this.buffer[$ + 2] = s, this.buffer[$ + 3] = r;
    }
  }
  // Apply a shift action
  /**
  @internal
  */
  shift(t, e, s, r) {
    if (t & 131072)
      this.pushState(t & 65535, this.pos);
    else if (t & 262144)
      this.pos = r, this.shiftContext(e, s), e <= this.p.parser.maxNode && this.buffer.push(e, s, r, 4);
    else {
      let i = t, { parser: $ } = this.p;
      (r > this.pos || e <= $.maxNode) && (this.pos = r, $.stateFlag(
        i,
        1
        /* StateFlag.Skipped */
      ) || (this.reducePos = r)), this.pushState(i, s), this.shiftContext(e, s), e <= $.maxNode && this.buffer.push(e, s, r, 4);
    }
  }
  // Apply an action
  /**
  @internal
  */
  apply(t, e, s, r) {
    t & 65536 ? this.reduce(t) : this.shift(t, e, s, r);
  }
  // Add a prebuilt (reused) node into the buffer.
  /**
  @internal
  */
  useNode(t, e) {
    let s = this.p.reused.length - 1;
    (s < 0 || this.p.reused[s] != t) && (this.p.reused.push(t), s++);
    let r = this.pos;
    this.reducePos = this.pos = r + t.length, this.pushState(e, r), this.buffer.push(
      s,
      r,
      this.reducePos,
      -1
      /* size == -1 means this is a reused value */
    ), this.curContext && this.updateContext(this.curContext.tracker.reuse(this.curContext.context, t, this, this.p.stream.reset(this.pos - t.length)));
  }
  // Split the stack. Due to the buffer sharing and the fact
  // that `this.stack` tends to stay quite shallow, this isn't very
  // expensive.
  /**
  @internal
  */
  split() {
    let t = this, e = t.buffer.length;
    for (; e > 0 && t.buffer[e - 2] > t.reducePos; )
      e -= 4;
    let s = t.buffer.slice(e), r = t.bufferBase + e;
    for (; t && r == t.bufferBase; )
      t = t.parent;
    return new Xt(this.p, this.stack.slice(), this.state, this.reducePos, this.pos, this.score, s, r, this.curContext, this.lookAhead, t);
  }
  // Try to recover from an error by 'deleting' (ignoring) one token.
  /**
  @internal
  */
  recoverByDelete(t, e) {
    let s = t <= this.p.parser.maxNode;
    s && this.storeNode(t, this.pos, e, 4), this.storeNode(0, this.pos, e, s ? 8 : 4), this.pos = this.reducePos = e, this.score -= 190;
  }
  /**
  Check if the given term would be able to be shifted (optionally
  after some reductions) on this stack. This can be useful for
  external tokenizers that want to make sure they only provide a
  given token when it applies.
  */
  canShift(t) {
    for (let e = new ls(this); ; ) {
      let s = this.p.parser.stateSlot(
        e.state,
        4
        /* ParseState.DefaultReduce */
      ) || this.p.parser.hasAction(e.state, t);
      if (s == 0)
        return !1;
      if (!(s & 65536))
        return !0;
      e.reduce(s);
    }
  }
  // Apply up to Recover.MaxNext recovery actions that conceptually
  // inserts some missing token or rule.
  /**
  @internal
  */
  recoverByInsert(t) {
    if (this.stack.length >= 300)
      return [];
    let e = this.p.parser.nextStates(this.state);
    if (e.length > 8 || this.stack.length >= 120) {
      let r = [];
      for (let i = 0, $; i < e.length; i += 2)
        ($ = e[i + 1]) != this.state && this.p.parser.hasAction($, t) && r.push(e[i], $);
      if (this.stack.length < 120)
        for (let i = 0; r.length < 8 && i < e.length; i += 2) {
          let $ = e[i + 1];
          r.some((n, l) => l & 1 && n == $) || r.push(e[i], $);
        }
      e = r;
    }
    let s = [];
    for (let r = 0; r < e.length && s.length < 4; r += 2) {
      let i = e[r + 1];
      if (i == this.state)
        continue;
      let $ = this.split();
      $.pushState(i, this.pos), $.storeNode(0, $.pos, $.pos, 4, !0), $.shiftContext(e[r], this.pos), $.reducePos = this.pos, $.score -= 200, s.push($);
    }
    return s;
  }
  // Force a reduce, if possible. Return false if that can't
  // be done.
  /**
  @internal
  */
  forceReduce() {
    let { parser: t } = this.p, e = t.stateSlot(
      this.state,
      5
      /* ParseState.ForcedReduce */
    );
    if (!(e & 65536))
      return !1;
    if (!t.validAction(this.state, e)) {
      let s = e >> 19, r = e & 65535, i = this.stack.length - s * 3;
      if (i < 0 || t.getGoto(this.stack[i], r, !1) < 0) {
        let $ = this.findForcedReduction();
        if ($ == null)
          return !1;
        e = $;
      }
      this.storeNode(0, this.pos, this.pos, 4, !0), this.score -= 100;
    }
    return this.reducePos = this.pos, this.reduce(e), !0;
  }
  /**
  Try to scan through the automaton to find some kind of reduction
  that can be applied. Used when the regular ForcedReduce field
  isn't a valid action. @internal
  */
  findForcedReduction() {
    let { parser: t } = this.p, e = [], s = (r, i) => {
      if (!e.includes(r))
        return e.push(r), t.allActions(r, ($) => {
          if (!($ & 393216))
            if ($ & 65536) {
              let n = ($ >> 19) - i;
              if (n > 1) {
                let l = $ & 65535, h = this.stack.length - n * 3;
                if (h >= 0 && t.getGoto(this.stack[h], l, !1) >= 0)
                  return n << 19 | 65536 | l;
              }
            } else {
              let n = s($, i + 1);
              if (n != null)
                return n;
            }
        });
    };
    return s(this.state, 0);
  }
  /**
  @internal
  */
  forceAll() {
    for (; !this.p.parser.stateFlag(
      this.state,
      2
      /* StateFlag.Accepting */
    ); )
      if (!this.forceReduce()) {
        this.storeNode(0, this.pos, this.pos, 4, !0);
        break;
      }
    return this;
  }
  /**
  Check whether this state has no further actions (assumed to be a direct descendant of the
  top state, since any other states must be able to continue
  somehow). @internal
  */
  get deadEnd() {
    if (this.stack.length != 3)
      return !1;
    let { parser: t } = this.p;
    return t.data[t.stateSlot(
      this.state,
      1
      /* ParseState.Actions */
    )] == 65535 && !t.stateSlot(
      this.state,
      4
      /* ParseState.DefaultReduce */
    );
  }
  /**
  Restart the stack (put it back in its start state). Only safe
  when this.stack.length == 3 (state is directly below the top
  state). @internal
  */
  restart() {
    this.storeNode(0, this.pos, this.pos, 4, !0), this.state = this.stack[0], this.stack.length = 0;
  }
  /**
  @internal
  */
  sameState(t) {
    if (this.state != t.state || this.stack.length != t.stack.length)
      return !1;
    for (let e = 0; e < this.stack.length; e += 3)
      if (this.stack[e] != t.stack[e])
        return !1;
    return !0;
  }
  /**
  Get the parser used by this stack.
  */
  get parser() {
    return this.p.parser;
  }
  /**
  Test whether a given dialect (by numeric ID, as exported from
  the terms file) is enabled.
  */
  dialectEnabled(t) {
    return this.p.parser.dialect.flags[t];
  }
  shiftContext(t, e) {
    this.curContext && this.updateContext(this.curContext.tracker.shift(this.curContext.context, t, this, this.p.stream.reset(e)));
  }
  reduceContext(t, e) {
    this.curContext && this.updateContext(this.curContext.tracker.reduce(this.curContext.context, t, this, this.p.stream.reset(e)));
  }
  /**
  @internal
  */
  emitContext() {
    let t = this.buffer.length - 1;
    (t < 0 || this.buffer[t] != -3) && this.buffer.push(this.curContext.hash, this.pos, this.pos, -3);
  }
  /**
  @internal
  */
  emitLookAhead() {
    let t = this.buffer.length - 1;
    (t < 0 || this.buffer[t] != -4) && this.buffer.push(this.lookAhead, this.pos, this.pos, -4);
  }
  updateContext(t) {
    if (t != this.curContext.context) {
      let e = new pe(this.curContext.tracker, t);
      e.hash != this.curContext.hash && this.emitContext(), this.curContext = e;
    }
  }
  /**
  @internal
  */
  setLookAhead(t) {
    t > this.lookAhead && (this.emitLookAhead(), this.lookAhead = t);
  }
  /**
  @internal
  */
  close() {
    this.curContext && this.curContext.tracker.strict && this.emitContext(), this.lookAhead > 0 && this.emitLookAhead();
  }
}
class pe {
  constructor(t, e) {
    this.tracker = t, this.context = e, this.hash = t.strict ? t.hash(e) : 0;
  }
}
class ls {
  constructor(t) {
    this.start = t, this.state = t.state, this.stack = t.stack, this.base = this.stack.length;
  }
  reduce(t) {
    let e = t & 65535, s = t >> 19;
    s == 0 ? (this.stack == this.start.stack && (this.stack = this.stack.slice()), this.stack.push(this.state, 0, 0), this.base += 3) : this.base -= (s - 1) * 3;
    let r = this.start.p.parser.getGoto(this.stack[this.base - 3], e, !0);
    this.state = r;
  }
}
class Ft {
  constructor(t, e, s) {
    this.stack = t, this.pos = e, this.index = s, this.buffer = t.buffer, this.index == 0 && this.maybeNext();
  }
  static create(t, e = t.bufferBase + t.buffer.length) {
    return new Ft(t, e, e - t.bufferBase);
  }
  maybeNext() {
    let t = this.stack.parent;
    t != null && (this.index = this.stack.bufferBase - t.bufferBase, this.stack = t, this.buffer = t.buffer);
  }
  get id() {
    return this.buffer[this.index - 4];
  }
  get start() {
    return this.buffer[this.index - 3];
  }
  get end() {
    return this.buffer[this.index - 2];
  }
  get size() {
    return this.buffer[this.index - 1];
  }
  next() {
    this.index -= 4, this.pos -= 4, this.index == 0 && this.maybeNext();
  }
  fork() {
    return new Ft(this.stack, this.pos, this.index);
  }
}
function gt(o, t = Uint16Array) {
  if (typeof o != "string")
    return o;
  let e = null;
  for (let s = 0, r = 0; s < o.length; ) {
    let i = 0;
    for (; ; ) {
      let $ = o.charCodeAt(s++), n = !1;
      if ($ == 126) {
        i = 65535;
        break;
      }
      $ >= 92 && $--, $ >= 34 && $--;
      let l = $ - 32;
      if (l >= 46 && (l -= 46, n = !0), i += l, n)
        break;
      i *= 46;
    }
    e ? e[r++] = i : e = new t(i);
  }
  return e;
}
class It {
  constructor() {
    this.start = -1, this.value = -1, this.end = -1, this.extended = -1, this.lookAhead = 0, this.mask = 0, this.context = 0;
  }
}
const de = new It();
class hs {
  /**
  @internal
  */
  constructor(t, e) {
    this.input = t, this.ranges = e, this.chunk = "", this.chunkOff = 0, this.chunk2 = "", this.chunk2Pos = 0, this.next = -1, this.token = de, this.rangeIndex = 0, this.pos = this.chunkPos = e[0].from, this.range = e[0], this.end = e[e.length - 1].to, this.readNext();
  }
  /**
  @internal
  */
  resolveOffset(t, e) {
    let s = this.range, r = this.rangeIndex, i = this.pos + t;
    for (; i < s.from; ) {
      if (!r)
        return null;
      let $ = this.ranges[--r];
      i -= s.from - $.to, s = $;
    }
    for (; e < 0 ? i > s.to : i >= s.to; ) {
      if (r == this.ranges.length - 1)
        return null;
      let $ = this.ranges[++r];
      i += $.from - s.to, s = $;
    }
    return i;
  }
  /**
  @internal
  */
  clipPos(t) {
    if (t >= this.range.from && t < this.range.to)
      return t;
    for (let e of this.ranges)
      if (e.to > t)
        return Math.max(t, e.from);
    return this.end;
  }
  /**
  Look at a code unit near the stream position. `.peek(0)` equals
  `.next`, `.peek(-1)` gives you the previous character, and so
  on.
  
  Note that looking around during tokenizing creates dependencies
  on potentially far-away content, which may reduce the
  effectiveness incremental parsing—when looking forward—or even
  cause invalid reparses when looking backward more than 25 code
  units, since the library does not track lookbehind.
  */
  peek(t) {
    let e = this.chunkOff + t, s, r;
    if (e >= 0 && e < this.chunk.length)
      s = this.pos + t, r = this.chunk.charCodeAt(e);
    else {
      let i = this.resolveOffset(t, 1);
      if (i == null)
        return -1;
      if (s = i, s >= this.chunk2Pos && s < this.chunk2Pos + this.chunk2.length)
        r = this.chunk2.charCodeAt(s - this.chunk2Pos);
      else {
        let $ = this.rangeIndex, n = this.range;
        for (; n.to <= s; )
          n = this.ranges[++$];
        this.chunk2 = this.input.chunk(this.chunk2Pos = s), s + this.chunk2.length > n.to && (this.chunk2 = this.chunk2.slice(0, n.to - s)), r = this.chunk2.charCodeAt(0);
      }
    }
    return s >= this.token.lookAhead && (this.token.lookAhead = s + 1), r;
  }
  /**
  Accept a token. By default, the end of the token is set to the
  current stream position, but you can pass an offset (relative to
  the stream position) to change that.
  */
  acceptToken(t, e = 0) {
    let s = e ? this.resolveOffset(e, -1) : this.pos;
    if (s == null || s < this.token.start)
      throw new RangeError("Token end out of bounds");
    this.token.value = t, this.token.end = s;
  }
  getChunk() {
    if (this.pos >= this.chunk2Pos && this.pos < this.chunk2Pos + this.chunk2.length) {
      let { chunk: t, chunkPos: e } = this;
      this.chunk = this.chunk2, this.chunkPos = this.chunk2Pos, this.chunk2 = t, this.chunk2Pos = e, this.chunkOff = this.pos - this.chunkPos;
    } else {
      this.chunk2 = this.chunk, this.chunk2Pos = this.chunkPos;
      let t = this.input.chunk(this.pos), e = this.pos + t.length;
      this.chunk = e > this.range.to ? t.slice(0, this.range.to - this.pos) : t, this.chunkPos = this.pos, this.chunkOff = 0;
    }
  }
  readNext() {
    return this.chunkOff >= this.chunk.length && (this.getChunk(), this.chunkOff == this.chunk.length) ? this.next = -1 : this.next = this.chunk.charCodeAt(this.chunkOff);
  }
  /**
  Move the stream forward N (defaults to 1) code units. Returns
  the new value of [`next`](#lr.InputStream.next).
  */
  advance(t = 1) {
    for (this.chunkOff += t; this.pos + t >= this.range.to; ) {
      if (this.rangeIndex == this.ranges.length - 1)
        return this.setDone();
      t -= this.range.to - this.pos, this.range = this.ranges[++this.rangeIndex], this.pos = this.range.from;
    }
    return this.pos += t, this.pos >= this.token.lookAhead && (this.token.lookAhead = this.pos + 1), this.readNext();
  }
  setDone() {
    return this.pos = this.chunkPos = this.end, this.range = this.ranges[this.rangeIndex = this.ranges.length - 1], this.chunk = "", this.next = -1;
  }
  /**
  @internal
  */
  reset(t, e) {
    if (e ? (this.token = e, e.start = t, e.lookAhead = t + 1, e.value = e.extended = -1) : this.token = de, this.pos != t) {
      if (this.pos = t, t == this.end)
        return this.setDone(), this;
      for (; t < this.range.from; )
        this.range = this.ranges[--this.rangeIndex];
      for (; t >= this.range.to; )
        this.range = this.ranges[++this.rangeIndex];
      t >= this.chunkPos && t < this.chunkPos + this.chunk.length ? this.chunkOff = t - this.chunkPos : (this.chunk = "", this.chunkOff = 0), this.readNext();
    }
    return this;
  }
  /**
  @internal
  */
  read(t, e) {
    if (t >= this.chunkPos && e <= this.chunkPos + this.chunk.length)
      return this.chunk.slice(t - this.chunkPos, e - this.chunkPos);
    if (t >= this.chunk2Pos && e <= this.chunk2Pos + this.chunk2.length)
      return this.chunk2.slice(t - this.chunk2Pos, e - this.chunk2Pos);
    if (t >= this.range.from && e <= this.range.to)
      return this.input.read(t, e);
    let s = "";
    for (let r of this.ranges) {
      if (r.from >= e)
        break;
      r.to > t && (s += this.input.read(Math.max(r.from, t), Math.min(r.to, e)));
    }
    return s;
  }
}
class at {
  constructor(t, e) {
    this.data = t, this.id = e;
  }
  token(t, e) {
    let { parser: s } = e.p;
    as(this.data, t, e, this.id, s.data, s.tokenPrecTable);
  }
}
at.prototype.contextual = at.prototype.fallback = at.prototype.extend = !1;
at.prototype.fallback = at.prototype.extend = !1;
function as(o, t, e, s, r, i) {
  let $ = 0, n = 1 << s, { dialect: l } = e.p.parser;
  t:
    for (; n & o[$]; ) {
      let h = o[$ + 1];
      for (let _ = $ + 3; _ < h; _ += 2)
        if ((o[_ + 1] & n) > 0) {
          let k = o[_];
          if (l.allows(k) && (t.token.value == -1 || t.token.value == k || us(k, t.token.value, r, i))) {
            t.acceptToken(k);
            break;
          }
        }
      let u = t.next, a = 0, p = o[$ + 2];
      if (t.next < 0 && p > a && o[h + p * 3 - 3] == 65535) {
        $ = o[h + p * 3 - 1];
        continue t;
      }
      for (; a < p; ) {
        let _ = a + p >> 1, k = h + _ + (_ << 1), J = o[k], P = o[k + 1] || 65536;
        if (u < J)
          p = _;
        else if (u >= P)
          a = _ + 1;
        else {
          $ = o[k + 2], t.advance();
          continue t;
        }
      }
      break;
    }
}
function _e(o, t, e) {
  for (let s = t, r; (r = o[s]) != 65535; s++)
    if (r == e)
      return s - t;
  return -1;
}
function us(o, t, e, s) {
  let r = _e(e, s, t);
  return r < 0 || _e(e, s, o) < r;
}
const z = typeof process < "u" && process.env && /\bparse\b/.test(process.env.LOG);
let Ct = null;
function ce(o, t, e) {
  let s = o.cursor(T.IncludeAnonymous);
  for (s.moveTo(t); ; )
    if (!(e < 0 ? s.childBefore(t) : s.childAfter(t)))
      for (; ; ) {
        if ((e < 0 ? s.to < t : s.from > t) && !s.type.isError)
          return e < 0 ? Math.max(0, Math.min(
            s.to - 1,
            t - 25
            /* Safety.Margin */
          )) : Math.min(o.length, Math.max(
            s.from + 1,
            t + 25
            /* Safety.Margin */
          ));
        if (e < 0 ? s.prevSibling() : s.nextSibling())
          break;
        if (!s.parent())
          return e < 0 ? 0 : o.length;
      }
}
class fs {
  constructor(t, e) {
    this.fragments = t, this.nodeSet = e, this.i = 0, this.fragment = null, this.safeFrom = -1, this.safeTo = -1, this.trees = [], this.start = [], this.index = [], this.nextFragment();
  }
  nextFragment() {
    let t = this.fragment = this.i == this.fragments.length ? null : this.fragments[this.i++];
    if (t) {
      for (this.safeFrom = t.openStart ? ce(t.tree, t.from + t.offset, 1) - t.offset : t.from, this.safeTo = t.openEnd ? ce(t.tree, t.to + t.offset, -1) - t.offset : t.to; this.trees.length; )
        this.trees.pop(), this.start.pop(), this.index.pop();
      this.trees.push(t.tree), this.start.push(-t.offset), this.index.push(0), this.nextStart = this.safeFrom;
    } else
      this.nextStart = 1e9;
  }
  // `pos` must be >= any previously given `pos` for this cursor
  nodeAt(t) {
    if (t < this.nextStart)
      return null;
    for (; this.fragment && this.safeTo <= t; )
      this.nextFragment();
    if (!this.fragment)
      return null;
    for (; ; ) {
      let e = this.trees.length - 1;
      if (e < 0)
        return this.nextFragment(), null;
      let s = this.trees[e], r = this.index[e];
      if (r == s.children.length) {
        this.trees.pop(), this.start.pop(), this.index.pop();
        continue;
      }
      let i = s.children[r], $ = this.start[e] + s.positions[r];
      if ($ > t)
        return this.nextStart = $, null;
      if (i instanceof F) {
        if ($ == t) {
          if ($ < this.safeFrom)
            return null;
          let n = $ + i.length;
          if (n <= this.safeTo) {
            let l = i.prop(S.lookAhead);
            if (!l || n + l < this.fragment.to)
              return i;
          }
        }
        this.index[e]++, $ + i.length >= Math.max(this.safeFrom, t) && (this.trees.push(i), this.start.push($), this.index.push(0));
      } else
        this.index[e]++, this.nextStart = $ + i.length;
    }
  }
}
class ps {
  constructor(t, e) {
    this.stream = e, this.tokens = [], this.mainToken = null, this.actions = [], this.tokens = t.tokenizers.map((s) => new It());
  }
  getActions(t) {
    let e = 0, s = null, { parser: r } = t.p, { tokenizers: i } = r, $ = r.stateSlot(
      t.state,
      3
      /* ParseState.TokenizerMask */
    ), n = t.curContext ? t.curContext.hash : 0, l = 0;
    for (let h = 0; h < i.length; h++) {
      if (!(1 << h & $))
        continue;
      let u = i[h], a = this.tokens[h];
      if (!(s && !u.fallback) && ((u.contextual || a.start != t.pos || a.mask != $ || a.context != n) && (this.updateCachedToken(a, u, t), a.mask = $, a.context = n), a.lookAhead > a.end + 25 && (l = Math.max(a.lookAhead, l)), a.value != 0)) {
        let p = e;
        if (a.extended > -1 && (e = this.addActions(t, a.extended, a.end, e)), e = this.addActions(t, a.value, a.end, e), !u.extend && (s = a, e > p))
          break;
      }
    }
    for (; this.actions.length > e; )
      this.actions.pop();
    return l && t.setLookAhead(l), !s && t.pos == this.stream.end && (s = new It(), s.value = t.p.parser.eofTerm, s.start = s.end = t.pos, e = this.addActions(t, s.value, s.end, e)), this.mainToken = s, this.actions;
  }
  getMainToken(t) {
    if (this.mainToken)
      return this.mainToken;
    let e = new It(), { pos: s, p: r } = t;
    return e.start = s, e.end = Math.min(s + 1, r.stream.end), e.value = s == r.stream.end ? r.parser.eofTerm : 0, e;
  }
  updateCachedToken(t, e, s) {
    let r = this.stream.clipPos(s.pos);
    if (e.token(this.stream.reset(r, t), s), t.value > -1) {
      let { parser: i } = s.p;
      for (let $ = 0; $ < i.specialized.length; $++)
        if (i.specialized[$] == t.value) {
          let n = i.specializers[$](this.stream.read(t.start, t.end), s);
          if (n >= 0 && s.p.parser.dialect.allows(n >> 1)) {
            n & 1 ? t.extended = n >> 1 : t.value = n >> 1;
            break;
          }
        }
    } else
      t.value = 0, t.end = this.stream.clipPos(r + 1);
  }
  putAction(t, e, s, r) {
    for (let i = 0; i < r; i += 3)
      if (this.actions[i] == t)
        return r;
    return this.actions[r++] = t, this.actions[r++] = e, this.actions[r++] = s, r;
  }
  addActions(t, e, s, r) {
    let { state: i } = t, { parser: $ } = t.p, { data: n } = $;
    for (let l = 0; l < 2; l++)
      for (let h = $.stateSlot(
        i,
        l ? 2 : 1
        /* ParseState.Actions */
      ); ; h += 3) {
        if (n[h] == 65535)
          if (n[h + 1] == 1)
            h = j(n, h + 2);
          else {
            r == 0 && n[h + 1] == 2 && (r = this.putAction(j(n, h + 2), e, s, r));
            break;
          }
        n[h] == e && (r = this.putAction(j(n, h + 1), e, s, r));
      }
    return r;
  }
}
class ds {
  constructor(t, e, s, r) {
    this.parser = t, this.input = e, this.ranges = r, this.recovering = 0, this.nextStackID = 9812, this.minStackPos = 0, this.reused = [], this.stoppedAt = null, this.lastBigReductionStart = -1, this.lastBigReductionSize = 0, this.bigReductionCount = 0, this.stream = new hs(e, r), this.tokens = new ps(t, this.stream), this.topTerm = t.top[1];
    let { from: i } = r[0];
    this.stacks = [Xt.start(this, t.top[0], i)], this.fragments = s.length && this.stream.end - i > t.bufferLength * 4 ? new fs(s, t.nodeSet) : null;
  }
  get parsedPos() {
    return this.minStackPos;
  }
  // Move the parser forward. This will process all parse stacks at
  // `this.pos` and try to advance them to a further position. If no
  // stack for such a position is found, it'll start error-recovery.
  //
  // When the parse is finished, this will return a syntax tree. When
  // not, it returns `null`.
  advance() {
    let t = this.stacks, e = this.minStackPos, s = this.stacks = [], r, i;
    if (this.bigReductionCount > 300 && t.length == 1) {
      let [$] = t;
      for (; $.forceReduce() && $.stack.length && $.stack[$.stack.length - 2] >= this.lastBigReductionStart; )
        ;
      this.bigReductionCount = this.lastBigReductionSize = 0;
    }
    for (let $ = 0; $ < t.length; $++) {
      let n = t[$];
      for (; ; ) {
        if (this.tokens.mainToken = null, n.pos > e)
          s.push(n);
        else {
          if (this.advanceStack(n, s, t))
            continue;
          {
            r || (r = [], i = []), r.push(n);
            let l = this.tokens.getMainToken(n);
            i.push(l.value, l.end);
          }
        }
        break;
      }
    }
    if (!s.length) {
      let $ = r && cs(r);
      if ($)
        return z && console.log("Finish with " + this.stackID($)), this.stackToTree($);
      if (this.parser.strict)
        throw z && r && console.log("Stuck with token " + (this.tokens.mainToken ? this.parser.getName(this.tokens.mainToken.value) : "none")), new SyntaxError("No parse at " + e);
      this.recovering || (this.recovering = 5);
    }
    if (this.recovering && r) {
      let $ = this.stoppedAt != null && r[0].pos > this.stoppedAt ? r[0] : this.runRecovery(r, i, s);
      if ($)
        return z && console.log("Force-finish " + this.stackID($)), this.stackToTree($.forceAll());
    }
    if (this.recovering) {
      let $ = this.recovering == 1 ? 1 : this.recovering * 3;
      if (s.length > $)
        for (s.sort((n, l) => l.score - n.score); s.length > $; )
          s.pop();
      s.some((n) => n.reducePos > e) && this.recovering--;
    } else if (s.length > 1) {
      t:
        for (let $ = 0; $ < s.length - 1; $++) {
          let n = s[$];
          for (let l = $ + 1; l < s.length; l++) {
            let h = s[l];
            if (n.sameState(h) || n.buffer.length > 500 && h.buffer.length > 500)
              if ((n.score - h.score || n.buffer.length - h.buffer.length) > 0)
                s.splice(l--, 1);
              else {
                s.splice($--, 1);
                continue t;
              }
          }
        }
      s.length > 12 && s.splice(
        12,
        s.length - 12
        /* Rec.MaxStackCount */
      );
    }
    this.minStackPos = s[0].pos;
    for (let $ = 1; $ < s.length; $++)
      s[$].pos < this.minStackPos && (this.minStackPos = s[$].pos);
    return null;
  }
  stopAt(t) {
    if (this.stoppedAt != null && this.stoppedAt < t)
      throw new RangeError("Can't move stoppedAt forward");
    this.stoppedAt = t;
  }
  // Returns an updated version of the given stack, or null if the
  // stack can't advance normally. When `split` and `stacks` are
  // given, stacks split off by ambiguous operations will be pushed to
  // `split`, or added to `stacks` if they move `pos` forward.
  advanceStack(t, e, s) {
    let r = t.pos, { parser: i } = this, $ = z ? this.stackID(t) + " -> " : "";
    if (this.stoppedAt != null && r > this.stoppedAt)
      return t.forceReduce() ? t : null;
    if (this.fragments) {
      let h = t.curContext && t.curContext.tracker.strict, u = h ? t.curContext.hash : 0;
      for (let a = this.fragments.nodeAt(r); a; ) {
        let p = this.parser.nodeSet.types[a.type.id] == a.type ? i.getGoto(t.state, a.type.id) : -1;
        if (p > -1 && a.length && (!h || (a.prop(S.contextHash) || 0) == u))
          return t.useNode(a, p), z && console.log($ + this.stackID(t) + ` (via reuse of ${i.getName(a.type.id)})`), !0;
        if (!(a instanceof F) || a.children.length == 0 || a.positions[0] > 0)
          break;
        let _ = a.children[0];
        if (_ instanceof F && a.positions[0] == 0)
          a = _;
        else
          break;
      }
    }
    let n = i.stateSlot(
      t.state,
      4
      /* ParseState.DefaultReduce */
    );
    if (n > 0)
      return t.reduce(n), z && console.log($ + this.stackID(t) + ` (via always-reduce ${i.getName(
        n & 65535
        /* Action.ValueMask */
      )})`), !0;
    if (t.stack.length >= 8400)
      for (; t.stack.length > 6e3 && t.forceReduce(); )
        ;
    let l = this.tokens.getActions(t);
    for (let h = 0; h < l.length; ) {
      let u = l[h++], a = l[h++], p = l[h++], _ = h == l.length || !s, k = _ ? t : t.split(), J = this.tokens.mainToken;
      if (k.apply(u, a, J ? J.start : k.pos, p), z && console.log($ + this.stackID(k) + ` (via ${u & 65536 ? `reduce of ${i.getName(
        u & 65535
        /* Action.ValueMask */
      )}` : "shift"} for ${i.getName(a)} @ ${r}${k == t ? "" : ", split"})`), _)
        return !0;
      k.pos > r ? e.push(k) : s.push(k);
    }
    return !1;
  }
  // Advance a given stack forward as far as it will go. Returns the
  // (possibly updated) stack if it got stuck, or null if it moved
  // forward and was given to `pushStackDedup`.
  advanceFully(t, e) {
    let s = t.pos;
    for (; ; ) {
      if (!this.advanceStack(t, null, null))
        return !1;
      if (t.pos > s)
        return ke(t, e), !0;
    }
  }
  runRecovery(t, e, s) {
    let r = null, i = !1;
    for (let $ = 0; $ < t.length; $++) {
      let n = t[$], l = e[$ << 1], h = e[($ << 1) + 1], u = z ? this.stackID(n) + " -> " : "";
      if (n.deadEnd && (i || (i = !0, n.restart(), z && console.log(u + this.stackID(n) + " (restarted)"), this.advanceFully(n, s))))
        continue;
      let a = n.split(), p = u;
      for (let _ = 0; a.forceReduce() && _ < 10 && (z && console.log(p + this.stackID(a) + " (via force-reduce)"), !this.advanceFully(a, s)); _++)
        z && (p = this.stackID(a) + " -> ");
      for (let _ of n.recoverByInsert(l))
        z && console.log(u + this.stackID(_) + " (via recover-insert)"), this.advanceFully(_, s);
      this.stream.end > n.pos ? (h == n.pos && (h++, l = 0), n.recoverByDelete(l, h), z && console.log(u + this.stackID(n) + ` (via recover-delete ${this.parser.getName(l)})`), ke(n, s)) : (!r || r.score < n.score) && (r = n);
    }
    return r;
  }
  // Convert the stack's buffer to a syntax tree.
  stackToTree(t) {
    return t.close(), F.build({
      buffer: Ft.create(t),
      nodeSet: this.parser.nodeSet,
      topID: this.topTerm,
      maxBufferLength: this.parser.bufferLength,
      reused: this.reused,
      start: this.ranges[0].from,
      length: t.pos - this.ranges[0].from,
      minRepeatType: this.parser.minRepeatTerm
    });
  }
  stackID(t) {
    let e = (Ct || (Ct = /* @__PURE__ */ new WeakMap())).get(t);
    return e || Ct.set(t, e = String.fromCodePoint(this.nextStackID++)), e + t;
  }
}
function ke(o, t) {
  for (let e = 0; e < t.length; e++) {
    let s = t[e];
    if (s.pos == o.pos && s.sameState(o)) {
      t[e].score < o.score && (t[e] = o);
      return;
    }
  }
  t.push(o);
}
class _s {
  constructor(t, e, s) {
    this.source = t, this.flags = e, this.disabled = s;
  }
  allows(t) {
    return !this.disabled || this.disabled[t] == 0;
  }
}
class Tt extends Ye {
  /**
  @internal
  */
  constructor(t) {
    if (super(), this.wrappers = [], t.version != 14)
      throw new RangeError(`Parser version (${t.version}) doesn't match runtime version (14)`);
    let e = t.nodeNames.split(" ");
    this.minRepeatTerm = e.length;
    for (let n = 0; n < t.repeatNodeCount; n++)
      e.push("");
    let s = Object.keys(t.topRules).map((n) => t.topRules[n][1]), r = [];
    for (let n = 0; n < e.length; n++)
      r.push([]);
    function i(n, l, h) {
      r[n].push([l, l.deserialize(String(h))]);
    }
    if (t.nodeProps)
      for (let n of t.nodeProps) {
        let l = n[0];
        typeof l == "string" && (l = S[l]);
        for (let h = 1; h < n.length; ) {
          let u = n[h++];
          if (u >= 0)
            i(u, l, n[h++]);
          else {
            let a = n[h + -u];
            for (let p = -u; p > 0; p--)
              i(n[h++], l, a);
            h++;
          }
        }
      }
    this.nodeSet = new ee(e.map((n, l) => B.define({
      name: l >= this.minRepeatTerm ? void 0 : n,
      id: l,
      props: r[l],
      top: s.indexOf(l) > -1,
      error: l == 0,
      skipped: t.skippedNodes && t.skippedNodes.indexOf(l) > -1
    }))), t.propSources && (this.nodeSet = this.nodeSet.extend(...t.propSources)), this.strict = !1, this.bufferLength = Ve;
    let $ = gt(t.tokenData);
    this.context = t.context, this.specializerSpecs = t.specialized || [], this.specialized = new Uint16Array(this.specializerSpecs.length);
    for (let n = 0; n < this.specializerSpecs.length; n++)
      this.specialized[n] = this.specializerSpecs[n].term;
    this.specializers = this.specializerSpecs.map(We), this.states = gt(t.states, Uint32Array), this.data = gt(t.stateData), this.goto = gt(t.goto), this.maxTerm = t.maxTerm, this.tokenizers = t.tokenizers.map((n) => typeof n == "number" ? new at($, n) : n), this.topRules = t.topRules, this.dialects = t.dialects || {}, this.dynamicPrecedences = t.dynamicPrecedences || null, this.tokenPrecTable = t.tokenPrec, this.termNames = t.termNames || null, this.maxNode = this.nodeSet.types.length - 1, this.dialect = this.parseDialect(), this.top = this.topRules[Object.keys(this.topRules)[0]];
  }
  createParse(t, e, s) {
    let r = new ds(this, t, e, s);
    for (let i of this.wrappers)
      r = i(r, t, e, s);
    return r;
  }
  /**
  Get a goto table entry @internal
  */
  getGoto(t, e, s = !1) {
    let r = this.goto;
    if (e >= r[0])
      return -1;
    for (let i = r[e + 1]; ; ) {
      let $ = r[i++], n = $ & 1, l = r[i++];
      if (n && s)
        return l;
      for (let h = i + ($ >> 1); i < h; i++)
        if (r[i] == t)
          return l;
      if (n)
        return -1;
    }
  }
  /**
  Check if this state has an action for a given terminal @internal
  */
  hasAction(t, e) {
    let s = this.data;
    for (let r = 0; r < 2; r++)
      for (let i = this.stateSlot(
        t,
        r ? 2 : 1
        /* ParseState.Actions */
      ), $; ; i += 3) {
        if (($ = s[i]) == 65535)
          if (s[i + 1] == 1)
            $ = s[i = j(s, i + 2)];
          else {
            if (s[i + 1] == 2)
              return j(s, i + 2);
            break;
          }
        if ($ == e || $ == 0)
          return j(s, i + 1);
      }
    return 0;
  }
  /**
  @internal
  */
  stateSlot(t, e) {
    return this.states[t * 6 + e];
  }
  /**
  @internal
  */
  stateFlag(t, e) {
    return (this.stateSlot(
      t,
      0
      /* ParseState.Flags */
    ) & e) > 0;
  }
  /**
  @internal
  */
  validAction(t, e) {
    return !!this.allActions(t, (s) => s == e ? !0 : null);
  }
  /**
  @internal
  */
  allActions(t, e) {
    let s = this.stateSlot(
      t,
      4
      /* ParseState.DefaultReduce */
    ), r = s ? e(s) : void 0;
    for (let i = this.stateSlot(
      t,
      1
      /* ParseState.Actions */
    ); r == null; i += 3) {
      if (this.data[i] == 65535)
        if (this.data[i + 1] == 1)
          i = j(this.data, i + 2);
        else
          break;
      r = e(j(this.data, i + 1));
    }
    return r;
  }
  /**
  Get the states that can follow this one through shift actions or
  goto jumps. @internal
  */
  nextStates(t) {
    let e = [];
    for (let s = this.stateSlot(
      t,
      1
      /* ParseState.Actions */
    ); ; s += 3) {
      if (this.data[s] == 65535)
        if (this.data[s + 1] == 1)
          s = j(this.data, s + 2);
        else
          break;
      if (!(this.data[s + 2] & 1)) {
        let r = this.data[s + 1];
        e.some((i, $) => $ & 1 && i == r) || e.push(this.data[s], r);
      }
    }
    return e;
  }
  /**
  Configure the parser. Returns a new parser instance that has the
  given settings modified. Settings not provided in `config` are
  kept from the original parser.
  */
  configure(t) {
    let e = Object.assign(Object.create(Tt.prototype), this);
    if (t.props && (e.nodeSet = this.nodeSet.extend(...t.props)), t.top) {
      let s = this.topRules[t.top];
      if (!s)
        throw new RangeError(`Invalid top rule name ${t.top}`);
      e.top = s;
    }
    return t.tokenizers && (e.tokenizers = this.tokenizers.map((s) => {
      let r = t.tokenizers.find((i) => i.from == s);
      return r ? r.to : s;
    })), t.specializers && (e.specializers = this.specializers.slice(), e.specializerSpecs = this.specializerSpecs.map((s, r) => {
      let i = t.specializers.find((n) => n.from == s.external);
      if (!i)
        return s;
      let $ = Object.assign(Object.assign({}, s), { external: i.to });
      return e.specializers[r] = We($), $;
    })), t.contextTracker && (e.context = t.contextTracker), t.dialect && (e.dialect = this.parseDialect(t.dialect)), t.strict != null && (e.strict = t.strict), t.wrap && (e.wrappers = e.wrappers.concat(t.wrap)), t.bufferLength != null && (e.bufferLength = t.bufferLength), e;
  }
  /**
  Tells you whether any [parse wrappers](#lr.ParserConfig.wrap)
  are registered for this parser.
  */
  hasWrappers() {
    return this.wrappers.length > 0;
  }
  /**
  Returns the name associated with a given term. This will only
  work for all terms when the parser was generated with the
  `--names` option. By default, only the names of tagged terms are
  stored.
  */
  getName(t) {
    return this.termNames ? this.termNames[t] : String(t <= this.maxNode && this.nodeSet.types[t].name || t);
  }
  /**
  The eof term id is always allocated directly after the node
  types. @internal
  */
  get eofTerm() {
    return this.maxNode + 1;
  }
  /**
  The type of top node produced by the parser.
  */
  get topNode() {
    return this.nodeSet.types[this.top[1]];
  }
  /**
  @internal
  */
  dynamicPrecedence(t) {
    let e = this.dynamicPrecedences;
    return e == null ? 0 : e[t] || 0;
  }
  /**
  @internal
  */
  parseDialect(t) {
    let e = Object.keys(this.dialects), s = e.map(() => !1);
    if (t)
      for (let i of t.split(" ")) {
        let $ = e.indexOf(i);
        $ >= 0 && (s[$] = !0);
      }
    let r = null;
    for (let i = 0; i < e.length; i++)
      if (!s[i])
        for (let $ = this.dialects[e[i]], n; (n = this.data[$++]) != 65535; )
          (r || (r = new Uint8Array(this.maxTerm + 1)))[n] = 1;
    return new _s(t, s, r);
  }
  /**
  Used by the output of the parser generator. Not available to
  user code. @hide
  */
  static deserialize(t) {
    return new Tt(t);
  }
}
function j(o, t) {
  return o[t] | o[t + 1] << 16;
}
function cs(o) {
  let t = null;
  for (let e of o) {
    let s = e.p.stoppedAt;
    (e.pos == e.p.stream.end || s != null && e.pos > s) && e.p.parser.stateFlag(
      e.state,
      2
      /* StateFlag.Accepting */
    ) && (!t || t.score < e.score) && (t = e);
  }
  return t;
}
function We(o) {
  if (o.external) {
    let t = o.extend ? 1 : 0;
    return (e, s) => o.external(e, s) << 1 | t;
  }
  return o.get;
}
const $e = Tt.deserialize({
  version: 14,
  states: "0tQQOPOOOOOO'#C^'#C^OOOO'#C`'#C`OOOO'#Cn'#CnO`OQO'#CpOOOO'#Co'#CoOhOSO'#C_OpOPO'#C{QOOOOOOOOO'#Cr'#CrO!ROSO,59[OcOQO,59`OOOO'#Cc'#CcO!ZOSO'#CbOkOSO'#CbO!fOQO,58yOOOO,59g,59gOOOO1G.v1G.vO!kOQO1G.vO!pOSO1G.zO!xOWO,58|O#TOQO,58|O#]OSO,58|OOOO'#Cw'#CwOOOO1G.e1G.eOOOO7+$b7+$bOOOO7+$f7+$fO#hOQO7+$fOOOO'#Ce'#CeO#mOSO1G.hO!{OWO1G.hOOOO'#Ch'#ChO#xOSO1G.mO$QOWO1G.hO$]OQO1G.hOOOO<<HQ<<HQO$eO`O7+$SO$mOQO7+$SO$uOSO7+$SO%QOSO7+$XO%YOpO7+$XO%eOQO7+$XO!{OWO7+$SO%jOWO7+$SOOOO'#Cf'#CfOOOO'#Cx'#CxO$hO`O'#CxO%uO`O<<GnO$eO`O<<GnO&QOQO<<GnO&YOpO<<GsO&eOQO<<GsOOOO'#Ci'#CiOOOO'#Ck'#CkO&jOSO'#CjOOOO'#Cy'#CyO%]OpO<<GsO&rOpO<<GsO&}OpO<<GsO'VOSO<<GnO'bOSO<<GsO!{OWO<<GnOOOO,59d,59dO'jO`OAN=YOOOO-E6v-E6vO'rO`OAN=YO$eO`OAN=YO%]OpOAN=_O'}OpOAN=_O&}OpOAN=_O(YOpOAN=_O(eO!bO,59UO(vOPO,59UOOOO,59e,59eO(QOpOAN=_OOOO-E6w-E6wO%`OpO'#CyO({OQOAN=YO)TOQOAN=_O)YOSOAN=YO)eOSOAN=_O)mO`OG22tO)uO`OG22tO&}OpOG22yO*QOpOG22yO*YOpOG22yO%]OpOG22yOOOO'#Cm'#CmO*eO!bO'#DUOOOO'#Cl'#ClO*vOQO1G.pO(eO!bO1G.pO$eO`OG22tO*{OpOG22yO+WOQOG22tO+`OQOG22yO+eO`OLD(`O+mOpOLD(eO+pOpOLD(eO&}OpOLD(eOOOO,59p,59pOOOO7+$[7+$[O+xOQO7+$[O+}O`OLD(`O%]OpOLD(eO$eO`OLD(`O,YOpOLD(eO,eOpO!$'LPO,mOpO!$'LPOOOO<<Gv<<GvO,xO`O!$'KzO&}OpO!$'LPO-QO`O!$'KzO%]OpO!$'LPO-]OpO!)9AkO-eOpO!)9AkO-pO`O!)9AfO&}OpO!)9AkO-xOpO!.K7VO.QOpO!.K7VO.]OpO!4/,q",
  stateData: ".h~OTQOeSOpPOzRO~OiZO{XO~Oq^Or[O~OTQOeSOpPOzROnoX~OgaOqbO~OWdOqeOjUX~OjgO~OgiO~OgjOqkO~OqnOslOuoO~OWqOjUa~OWqOqrOjUa~OgsO~OWtOquOjUi~OWxOqyO~OqzOslOuoO~OW{OjUi~Oq!OOt|O~OW!QOjUq~OW!QOq!ROjUq~OW!SOq!TO~Oq!YOv!UOw!VO~OW!SO~Oq!_OslOuoO~Oq!aOt|OjUy~OW!dOjUy~Oq!eOv!UOw!VO~OW!hO~OT!iOq!jO~Oq!lOw!VOjZy~Oq!nOw!VO~OW!dOq!oOjUy~OW!hOq!pO~Ot|OjU!R~Oq!sOt|OjU!R~Oq!vOw!VOjZ!R~Oq!xOv!UOw!VO~OTQOeSOy!yOzROj`P~OT!}O~OW#OOjU!R~OW#PO~OW#OOq#QOjU!R~OW#POq#RO~Ot|OjU!Z~Oq#SOt|OjU!Z~Ow!VOjZ!Z~Oq#UOw!VOjZ!Z~OTQOeSOy!yOzROjxX~Oj#XO~Oq#[Ov!UOw!VO~OW#]OjU!Z~OW#^O~Ot|OjU!c~Oq#_Ow!VOjZ!c~Oj#aO~Oq#bOt|OjU!c~Oq#eOv!UOw!VO~Ow!VOjZ!k~Oq#fOw!VOjZ!k~Ot|OjU!k~Oq#hOt|OjU!k~Ow!VOjZ!s~Oq#jOw!VOjZ!s~Ot|OjU!s~Ow!VOjZ!{~Oq#lOw!VOjZ!{~Ow!VOjZ#T~Ovw~",
  goto: "'hyPPz!O!XP!`!cP!i!w!`#]#k$R$v%i!S!O!O%oP%vP%oPP%|&P&gP'ZPPPPPPPP'aTVOVSVOVV!z!i!z!}ZUOV!i!z!}R_UQ]URf^QmdSvnqS!]z{R!q!_d}t!P!Q!c!d!t#O#Z#]#d]!`!O!a!s#S#b#hQpdSwnqS!^z{R!r!_Q![xS!g!S!YS!u!e!hS#V!x#PS#c#[#^R#i#et!Xx!S!Z![!f!g!h!u!w#P#T#V#^#`#c#g#i#kk!k!Y!e!l!n!v!x#U#[#_#e#f#j#l!a!Wx!S!Y!Z![!e!f!g!h!l!n!u!v!w!x#P#T#U#V#[#^#_#`#c#e#f#g#i#j#k#lQ!|!iR#Y!}ZTOV!i!z!}QYSRcZRh_Q!PtY!b!P!c!t#Z#dQ!c!QQ!t!dQ#Z#OR#d#]Q!ZxS!f!S![^!m!Z!f!w#T#`#g#kS!w!g!hS#T!u#PS#`#V#^Q#g#cR#k#iQWOR`VS!{!i!}R#W!z",
  nodeNames: "⚠ Program TextRoot Expression ExpressionOpen { FormatExpression Param Sep FormatFunction FormatStyle SelectExpression SelectFunction Offset SelectVariant VariantDescriptor VariantContent Text PluralPlaceholder HtmlTag HtmlTagOpen < TagName > HtmlTagClose Slash } ExpressionClose",
  maxTerm: 43,
  skippedNodes: [0],
  repeatNodeCount: 2,
  tokenData: "'8v#sR#aOX(WX^DR^p(WpqDRqs;_stFYtw;_wx?Px|;_|}G`}!OHX!O!PHX!P!Q!!R!Q![!$k![!^;_!^!_!+d!_!`;_!`!a!,j!a!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#W!$k#W#X!/S#X#b!$k#b#c!J_#c#d#>j#d#e$Ak#e#g!$k#g#h%<h#h#i'%Q#i#o!$k#o#p'2r#p#q;_#q#r'3x#r#s;_#s#y(W#y#zDR#z$f(W$f$gDR$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZ'4i#BZ$IS!$k$IS$I_DR$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JODR$JO$JT(W$JT$JUDR$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KWDR$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FVDR&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#i(e!vt`rSy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!Q;_!Q![(W![!^;_!^!_=u!_!c;_!c!}(W!}#R;_#R#S(W#S#T;_#T#o(W#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%R(W%R%S;_%S%V(W%V%W;_%W%o(W%o%p;_%p&a(W&a&b;_&b#BY(W#BY#BZ-{#BZ$IS(W$IS$I_-{$I_$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg(W$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW%#t(W%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O(W&;O&=t;_&=t&FU(W&FU&FV-{&FV&FY;_&FY&F^(W&F^&Fw;_&Fw&GW(W&GW&GX;_&GX;'S(W;'S;=`C{<%l?>`(W?>`?>b;_?>b?DR(W?DR?DT;_?DTO(W!c.SYy!bpPOs-{tw-{wx.rx!^-{!_#o-{#p#q-{#q#r0d#r;'S-{;'S;=`;R<%lO-{!c.u_Os-{st/ttw-{wx/tx!^-{!^!_/t!_#o-{#o#p/t#p#q-{#q#r2s#r;'S-{;'S;=`;R<%l~-{~O-{~~0d!c/wVOw/twx-{x;'S/t;'S;=`0^<%l~/t~O/t~~0d!c0aP;=`<%l/tP0iWpPOs0dtw0dwx1Rx!^0d!_#o0d#p;'S0d;'S;=`2m<%lO0dP1U]Os0dst1}tw0dwx1}x!^0d!^!_1}!_#o0d#o#p1}#p;'S0d;'S;=`2m<%l~0d~O0d~~0dP2QVOw1}wx0dx;'S1};'S;=`2g<%l~1}~O1}~~0dP2jP;=`<%l1}P2pP;=`<%l0d!c2xZpPOs2sst3ktw2swx5wx!^2s!^!_3k!_#o2s#o#p3k#p;'S2s;'S;=`:{<%lO2s!b3nTOw3kwx3}x;'S3k;'S;=`5q<%lO3k!b4SXy!bOs3}tw3}wx4ox!^3}!_#o3}#p#q3}#r;'S3};'S;=`5k<%lO3}!b4r]Os3}st3ktw3}wx3kx!^3}!^!_3k!_#o3}#o#p3k#p#q3}#q#r3k#r;'S3};'S;=`5k<%lO3}!b5nP;=`<%l3}!b5tP;=`<%l3k!c5|_y!bOs-{st1}tw-{wx6{x!^-{!^!_1}!_#o-{#o#p1}#p#q-{#q#r0d#r;'S-{;'S;=`;R<%l~-{~O-{~~0d!c7O_Os7}st/ttw7}wx2sx!^7}!^!_/t!_#o7}#o#p/t#p#q7}#q#r/t#r;'S7};'S;=`;X<%l~7}~O7}~~0d!c8S_y!bOs7}st1}tw7}wx9Rx!^7}!^!_1}!_#o7}#o#p1}#p#q7}#q#r1}#r;'S7};'S;=`;X<%l~7}~O7}~~0d!c9W]pPOs-{st3ktw-{wx:Px!^-{!^!_3k!_#o-{#o#p3k#p#q-{#q#r2s#r;'S-{;'S;=`;R<%lO-{!c:S]Os2sst/ttw2swx7}x!^2s!^!_/t!_#o2s#o#p/t#p;'S2s;'S;=`:{<%l~2s~O2s~~0d!c;OP;=`<%l2s!c;UP;=`<%l-{!c;[P;=`<%l7}!s;hst`y!bpPOX;_X^-{^p;_pq-{qs;_st=utw;_wx?Px|;_|}-{}!^;_!^!_=u!_#o;_#o#p=u#p#q;_#q#r0d#r#y;_#y#z-{#z$f;_$f$g-{$g#BY;_#BY#BZ-{#BZ$IS;_$IS$I_-{$I_$I|;_$I|$JO-{$JO$JT;_$JT$JU-{$JU$KV;_$KV$KW-{$KW&FU;_&FU&FV-{&FV;'S;_;'S;=`Cu<%lO;_`=z_t`OX=u^p=uq|=u}#q=u#r#y=u#z$f=u$g#BY=u#BZ$IS=u$I_$I|=u$JO$JT=u$JU$KV=u$KW&FU=u&FV;'S=u;'S;=`>y<%lO=u`>|P;=`<%l=u!s?Uut`OX;_X^-{^p;_pq-{qs;_stAitw;_wxAix|;_|}-{}!^;_!^!_Ai!_#o;_#o#pAi#p#q;_#q#r2s#r#y;_#y#z-{#z$f;_$f$g-{$g#BY;_#BY#BZ-{#BZ$IS;_$IS$I_-{$I_$I|;_$I|$JO-{$JO$JT;_$JT$JU-{$JU$KV;_$KV$KW-{$KW&FU;_&FU&FV-{&FV;'S;_;'S;=`Cu<%l~;_~O;_~~0d!sAnot`OXAiX^/t^pAipq/tqwAiwx;_x|Ai|}/t}#qAi#q#r/t#r#yAi#y#z/t#z$fAi$f$g/t$g#BYAi#BY#BZ/t#BZ$ISAi$IS$I_/t$I_$I|Ai$I|$JO/t$JO$JTAi$JT$JU/t$JU$KVAi$KV$KW/t$KW&FUAi&FU&FV/t&FV;'SAi;'S;=`Co<%l~Ai~OAi~~0d!sCrP;=`<%lAi!sCxP;=`<%l;_#iDOP;=`<%l(W#qD[nq!^y!bpPOX-{X^DR^p-{pqDRqs-{tw-{wx.rx!^-{!_#o-{#p#q-{#q#r0d#r#y-{#y#zDR#z$f-{$f$gDR$g#BY-{#BY#BZDR#BZ$IS-{$IS$I_DR$I_$I|-{$I|$JODR$JO$JT-{$JT$JUDR$JU$KV-{$KV$KWDR$KW&FU-{&FU&FVDR&FV;'S-{;'S;=`;R<%lO-{!sFa_t`z!cOX=u^p=uq|=u}#q=u#r#y=u#z$f=u$g#BY=u#BZ$IS=u$I_$I|=u$JO$JT=u$JU$KV=u$KW&FU=u&FV;'S=u;'S;=`>y<%lO=u!iGiYWUy!bpPOs-{tw-{wx.rx!^-{!_#o-{#p#q-{#q#r0d#r;'S-{;'S;=`;R<%lO-{!uHd!dt`{Qy!bpPOX;_X^-{^p;_pq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![HX![!^;_!^!_=u!_!c;_!c!}HX!}#R;_#R#SHX#S#T;_#T#oHX#o#p=u#p#q;_#q#r0d#r#y;_#y#z-{#z$f;_$f$g-{$g$};_$}%OHX%O%W;_%W%oHX%o%p;_%p&aHX&a&b;_&b4dHX4d4e;_4e#BYHX#BY#BZLr#BZ$ISHX$IS$I_-{$I_$I`;_$I`$IbHX$Ib$I|;_$I|$JO-{$JO$JT;_$JT$JU-{$JU$Je;_$Je$JgHX$Jg$KV;_$KV$KW-{$KW$Kh;_$Kh%#tHX%#t&/x;_&/x&EtHX&Et&FU;_&FU&FV-{&FV;'SHX;'S;:j! {;:j;=`Cu<%l?&r;_?&r?AhHX?Ah?BY;_?BY?MnHX?MnO;_!eL{|{Qy!bpPOs-{tw-{wx.rx}-{}!OLr!O!PLr!P!Q-{!Q![Lr![!^-{!_!c-{!c!}Lr!}#R-{#R#SLr#S#T-{#T#oLr#p#q-{#q#r0d#r$}-{$}%OLr%O%W-{%W%oLr%o%p-{%p&aLr&a&b-{&b4dLr4d4e-{4e$ISLr$IS$I`-{$I`$IbLr$Ib$Je-{$Je$JgLr$Jg$Kh-{$Kh%#tLr%#t&/x-{&/x&EtLr&Et&FV-{&FV;'SLr;'S;:j! u;:j;=`;R<%l?&r-{?&r?AhLr?Ah?BY-{?BY?MnLr?MnO-{!e! xP;=`<%lLr!u!!OP;=`<%lHX!u!!^siQt`y!bpPOX;_X^-{^p;_pq-{qs;_st=utw;_wx?Px|;_|}-{}!^;_!^!_=u!_#o;_#o#p=u#p#q;_#q#r0d#r#y;_#y#z-{#z$f;_$f$g-{$g#BY;_#BY#BZ-{#BZ$IS;_$IS$I_-{$I_$I|;_$I|$JO-{$JO$JT;_$JT$JU-{$JU$KV;_$KV$KW-{$KW&FU;_&FU&FV-{&FV;'S;_;'S;=`Cu<%lO;_#k!$z#Ut`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#k!+aP;=`<%l!$k!s!+k_e!ct`OX=u^p=uq|=u}#q=u#r#y=u#z$f=u$g#BY=u#BZ$IS=u$I_$I|=u$JO$JT=u$JU$KV=u$KW&FU=u&FV;'S=u;'S;=`>y<%lO=u!y!,usgUt`y!bpPOX;_X^-{^p;_pq-{qs;_st=utw;_wx?Px|;_|}-{}!^;_!^!_=u!_#o;_#o#p=u#p#q;_#q#r0d#r#y;_#y#z-{#z$f;_$f$g-{$g#BY;_#BY#BZ-{#BZ$IS;_$IS$I_-{$I_$I|;_$I|$JO-{$JO$JT;_$JT$JU-{$JU$KV;_$KV$KW-{$KW&FU;_&FU&FV-{&FV;'S;_;'S;=`Cu<%lO;_#s!/c#Vt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#U!5x#U#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s!6X#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#h!$k#h#i!<q#i#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s!=Q#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#X!$k#X#Y!Cj#Y#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s!C{#UsWt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s!Jn#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#i!$k#i#j##W#j#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s##g#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#a!$k#a#b#*P#b#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s#*`#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#U!$k#U#V#0x#V#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s#1X#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#X!$k#X#Y#7q#Y#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s#8Q#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#f!$k#f#g!Cj#g#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#k#>y#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#Y!$k#Y#Z#Ec#Z#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#k#Er#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#Y!$k#Y#Z#L[#Z#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#k#Lk#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#g!$k#g#h$%T#h#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#k$%d#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#X!$k#X#Y$+|#Y#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#k$,]#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#h!$k#h#i$2u#i#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#k$3U#Vt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!]$9k!]!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#e$9twt`y!bpPOX;_X^-{^p;_pq-{qs;_st=utw;_wx?Px{;_{|$<_|}-{}!O$<_!O!Q;_!Q![$>{![!^;_!^!_=u!_#o;_#o#p=u#p#q;_#q#r0d#r#y;_#y#z-{#z$f;_$f$g-{$g#BY;_#BY#BZ-{#BZ$IS;_$IS$I_-{$I_$I|;_$I|$JO-{$JO$JT;_$JT$JU-{$JU$KV;_$KV$KW-{$KW&FU;_&FU&FV-{&FV;'S;_;'S;=`Cu<%lO;_#e$<hut`y!bpPOX;_X^-{^p;_pq-{qs;_st=utw;_wx?Px|;_|}-{}!Q;_!Q![$>{![!^;_!^!_=u!_#o;_#o#p=u#p#q;_#q#r0d#r#y;_#y#z-{#z$f;_$f$g-{$g#BY;_#BY#BZ-{#BZ$IS;_$IS$I_-{$I_$I|;_$I|$JO-{$JO$JT;_$JT$JU-{$JU$KV;_$KV$KW-{$KW&FU;_&FU&FV-{&FV;'S;_;'S;=`Cu<%lO;_#e$?Wut`y!bpPvpOX;_X^-{^p;_pq-{qs;_st=utw;_wx?Px|;_|}-{}!Q;_!Q![$>{![!^;_!^!_=u!_#o;_#o#p=u#p#q;_#q#r0d#r#y;_#y#z-{#z$f;_$f$g-{$g#BY;_#BY#BZ-{#BZ$IS;_$IS$I_-{$I_$I|;_$I|$JO-{$JO$JT;_$JT$JU-{$JU$KV;_$KV$KW-{$KW&FU;_&FU&FV-{&FV;'S;_;'S;=`Cu<%lO;_#s$Az#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#`!$k#`#a$Hd#a#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s$Hs#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#i!$k#i#j% ]#j#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s% l#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#f!$k#f#g%(U#g#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s%(e#Vt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#U%.z#U#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s%/Z#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#`!$k#`#a%5s#a#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s%6U#Ut`rSuW{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s%<w#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#X!$k#X#Y%Ca#Y#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s%Cp#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#`!$k#`#a%JY#a#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s%Ji#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#X!$k#X#Y&#R#Y#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s&#b#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#V!$k#V#W&)z#W#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s&*Z#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#h!$k#h#i&0s#i#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s&1U#Wt`rSuW{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#c!$k#c#d&7n#d#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s&7}#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#f!$k#f#g&>g#g#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s&>v#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#W!$k#W#X&E`#X#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s&Eo#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#]!$k#]#^&LX#^#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s&Lh#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#b!$k#b#c%(U#c#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s'%a#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#]!$k#]#^'+y#^#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W#s',Y#Wt`rS{Qy!bpPwpOX(WX^-{^p(Wpq-{qs;_st=utw;_wx?Px|;_|}-{}!OHX!O!PHX!P!Q;_!Q![!$k![!^;_!^!_=u!_!c;_!c!}!$k!}#R;_#R#S!$k#S#T;_#T#a!$k#a#b!<q#b#o!$k#o#p=u#p#q;_#q#r0d#r#s;_#s#y(W#y#z-{#z$f(W$f$g-{$g$n;_$n$o(W$o$p;_$p$q(W$q$s;_$s$t(W$t$u;_$u$v(W$v$x;_$x$|(W$|$};_$}%O!$k%O%R(W%R%S;_%S%V(W%V%W;_%W%o!$k%o%p;_%p&a!$k&a&b;_&b4d!$k4d4e(W4e#BY!$k#BY#BZLr#BZ$IS!$k$IS$I_-{$I_$I`(W$I`$Ib!$k$Ib$Id(W$Id$I|;_$I|$JO-{$JO$JT(W$JT$JU-{$JU$Je;_$Je$Jg!$k$Jg$Jz;_$Jz$J{(W$J{$KV;_$KV$KW-{$KW$Kh(W$Kh%#t!$k%#t%3d;_%3d%6z(W%6z%Dl;_%Dl%E[(W%E[&/x;_&/x&;O!$k&;O&=tHX&=t&Et!$k&Et&FU(W&FU&FV-{&FV&FYHX&FY&F^!$k&F^&FwHX&Fw&GW!$k&GW&GXHX&GX;'S!$k;'S;:j!+^;:j;=`C{<%l?&r(W?&r?>`!$k?>`?>bHX?>b?Ah!$k?Ah?BY(W?BY?DR!$k?DR?DTHX?DT?Mn!$k?MnO(W!w'2y_T!gt`OX=u^p=uq|=u}#q=u#r#y=u#z$f=u$g#BY=u#BZ$IS=u$I_$I|=u$JO$JT=u$JU$KV=u$KW&FU=u&FV;'S=u;'S;=`>y<%lO=u#k'4PWj#jpPOs0dtw0dwx1Rx!^0d!_#o0d#p;'S0d;'S;=`2m<%lO0d#s'4t!`q!^{Qy!bpPOX-{X^DR^p-{pqDRqs-{tw-{wx.rx}-{}!OLr!O!PLr!P!Q-{!Q![Lr![!^-{!_!c-{!c!}Lr!}#R-{#R#SLr#S#T-{#T#oLr#p#q-{#q#r0d#r#y-{#y#zDR#z$f-{$f$gDR$g$}-{$}%OLr%O%W-{%W%oLr%o%p-{%p&aLr&a&b-{&b4dLr4d4e-{4e#BYLr#BY#BZ'4i#BZ$ISLr$IS$I_DR$I_$I`-{$I`$IbLr$Ib$I|-{$I|$JODR$JO$JT-{$JT$JUDR$JU$Je-{$Je$JgLr$Jg$KV-{$KV$KWDR$KW$Kh-{$Kh%#tLr%#t&/x-{&/x&EtLr&Et&FU-{&FU&FVDR&FV;'SLr;'S;:j! u;:j;=`;R<%l?&r-{?&r?AhLr?Ah?BY-{?BY?MnLr?MnO-{",
  tokenizers: [0, 1, 2, 3, 4, 5, 6],
  topRules: { Program: [0, 1] },
  tokenPrec: 619
}), ne = 3, oe = 7, ks = 11, Ke = 12, Ae = 14, Ws = 16, Os = 18, gs = 20, xs = 22, Ss = 24, bs = (o) => {
  let t;
  try {
    t = $e.configure({ strict: !0 }).parse(o);
  } catch {
    return null;
  }
  let e = t.cursor(), s;
  const r = [], i = /* @__PURE__ */ new Map();
  function $() {
    const n = {
      name: s.name,
      type: s.type,
      position: s.position
    };
    if (n.type === "tagOpen") {
      const l = i.get(n.name) ?? [];
      l.push(n), i.set(n.name, l);
    } else if (n.type === "tagClose") {
      const l = i.get(n.name);
      l ? (l.pop(), l.length === 0 && i.delete(n.name)) : n.error = "missing_open_tag";
    }
    r.push(n), e = s.rootNode.lastChild.cursor(), s = void 0;
  }
  do {
    const n = e.node, l = o.substring(e.from, e.to);
    switch (n.type.id) {
      case Os:
        s || r.push({
          name: "#",
          type: "hash",
          position: { start: e.from, end: e.to }
        });
        break;
      case ne:
        s || (s = {
          type: "variable",
          position: { start: e.from, end: e.to },
          rootNode: n
        });
        break;
      case ks:
        s != null && s.name || (e = s.rootNode.lastChild.cursor(), s = void 0);
        break;
      case oe:
        (s == null ? void 0 : s.type) === "variable" && !s.name && (s.name = l, $());
        break;
      case gs:
        s || (s = {
          type: "tagOpen",
          position: { start: e.from, end: e.to },
          rootNode: n
        });
        break;
      case Ss:
        s || (s = {
          type: "tagClose",
          position: { start: e.from, end: e.to },
          rootNode: n
        });
        break;
      case xs:
        ((s == null ? void 0 : s.type) === "tagClose" || (s == null ? void 0 : s.type) === "tagOpen") && (s.name = l, $());
        break;
    }
  } while (e.next());
  return i.forEach(
    (n) => n.forEach((l) => {
      l.error = "missing_close_tag";
    })
  ), r;
};
class ms extends Ze {
  constructor(e) {
    super();
    pt(this, "value");
    this.value = e;
  }
  toDOM() {
    const e = document.createElement("span");
    let s = `placeholder-widget placeholder-${this.value.type}`;
    this.value.error && (s = s + ` placeholder-error placeholder-error-${this.value.error}`), e.className = s;
    const r = document.createElement("span");
    return r.textContent = this.value.name || "#", e.appendChild(r), e;
  }
}
function Oe(o, t) {
  const e = bs(o);
  return e === null ? null : e.filter((s) => {
    if (t) {
      const [r, i] = t;
      if (r < s.position.end && i > s.position.start)
        return !1;
    }
    return !0;
  });
}
function ge(o) {
  const t = new te();
  return o.forEach((e) => {
    t.add(
      e.position.start,
      e.position.end,
      G.widget({
        widget: new ms(e),
        side: 1
      })
    );
  }), t.finish();
}
function Is(o, t) {
  return t.find((e) => e.name === o.name && e.type === e.type);
}
function Js(o, t) {
  return t.find(
    (e) => e.name === o.name && e.type === o.type && e.position.start === e.position.start && e.position.end === e.position.end
  );
}
function ws(o, t, e) {
  return t.filter((s) => !!(Js(s, o) || Is(s, e)));
}
function ys(o, t, e, s, r) {
  const i = e - t, n = r - s - i;
  return o.filter((l) => t < l.position.end && e > l.position.start ? !1 : (e < l.position.start && (l.position.start += n, l.position.end += n), !0));
}
function Yt(o, t) {
  let e = o;
  return t.iterChanges((s, r, i, $) => {
    e = ys(e, s, r, i, $);
  }), e;
}
const rr = (o) => {
  const { noUpdates: t, allowedNewPlaceholders: e } = o || {};
  return ze.define({
    create(s) {
      try {
        return Oe(s.doc.toString(), void 0) || [];
      } catch {
        return [];
      }
    },
    update(s, r) {
      if (t)
        return Yt(s, r.changes);
      if (r.docChanged && !t) {
        let i;
        r.changes.iterChanges((n, l, h, u) => {
          const a = l - n;
          u - h - a <= 1 && (i = [h, u]);
        });
        const $ = Oe(
          r.state.doc.toString(),
          i
        );
        return $ === null ? Yt(s, r.changes) : e ? ws(
          s,
          Yt(s, r.changes),
          e
        ) : $;
      }
      return s;
    },
    provide(s) {
      return zt.fromClass(
        class {
          constructor(r) {
            pt(this, "decorationSet");
            this.decorationSet = ge(r.state.field(s));
          }
          update(r) {
            this.decorationSet = ge(r.state.field(s));
          }
        },
        {
          decorations: (r) => r.decorationSet,
          provide: (r) => N.atomicRanges.of((i) => {
            var $;
            return (($ = i.plugin(r)) == null ? void 0 : $.decorationSet) || G.none;
          })
        }
      );
    }
  });
};
let Xs = 0;
class E {
  /**
  @internal
  */
  constructor(t, e, s) {
    this.set = t, this.base = e, this.modified = s, this.id = Xs++;
  }
  /**
  Define a new tag. If `parent` is given, the tag is treated as a
  sub-tag of that parent, and
  [highlighters](#highlight.tagHighlighter) that don't mention
  this tag will try to fall back to the parent tag (or grandparent
  tag, etc).
  */
  static define(t) {
    if (t != null && t.base)
      throw new Error("Can not derive from a modified tag");
    let e = new E([], null, []);
    if (e.set.push(e), t)
      for (let s of t.set)
        e.set.push(s);
    return e;
  }
  /**
  Define a tag _modifier_, which is a function that, given a tag,
  will return a tag that is a subtag of the original. Applying the
  same modifier to a twice tag will return the same value (`m1(t1)
  == m1(t1)`) and applying multiple modifiers will, regardless or
  order, produce the same tag (`m1(m2(t1)) == m2(m1(t1))`).
  
  When multiple modifiers are applied to a given base tag, each
  smaller set of modifiers is registered as a parent, so that for
  example `m1(m2(m3(t1)))` is a subtype of `m1(m2(t1))`,
  `m1(m3(t1)`, and so on.
  */
  static defineModifier() {
    let t = new Pt();
    return (e) => e.modified.indexOf(t) > -1 ? e : Pt.get(e.base || e, e.modified.concat(t).sort((s, r) => s.id - r.id));
  }
}
let Fs = 0;
class Pt {
  constructor() {
    this.instances = [], this.id = Fs++;
  }
  static get(t, e) {
    if (!e.length)
      return t;
    let s = e[0].instances.find((n) => n.base == t && Ts(e, n.modified));
    if (s)
      return s;
    let r = [], i = new E(r, t, e);
    for (let n of e)
      n.instances.push(i);
    let $ = Ps(e);
    for (let n of t.set)
      if (!n.modified.length)
        for (let l of $)
          r.push(Pt.get(n, l));
    return i;
  }
}
function Ts(o, t) {
  return o.length == t.length && o.every((e, s) => e == t[s]);
}
function Ps(o) {
  let t = [[]];
  for (let e = 0; e < o.length; e++)
    for (let s = 0, r = t.length; s < r; s++)
      t.push(t[s].concat(o[e]));
  return t.sort((e, s) => s.length - e.length);
}
function Ue(o) {
  let t = /* @__PURE__ */ Object.create(null);
  for (let e in o) {
    let s = o[e];
    Array.isArray(s) || (s = [s]);
    for (let r of e.split(" "))
      if (r) {
        let i = [], $ = 2, n = r;
        for (let a = 0; ; ) {
          if (n == "..." && a > 0 && a + 3 == r.length) {
            $ = 1;
            break;
          }
          let p = /^"(?:[^"\\]|\\.)*?"|[^\/!]+/.exec(n);
          if (!p)
            throw new RangeError("Invalid path: " + r);
          if (i.push(p[0] == "*" ? "" : p[0][0] == '"' ? JSON.parse(p[0]) : p[0]), a += p[0].length, a == r.length)
            break;
          let _ = r[a++];
          if (a == r.length && _ == "!") {
            $ = 0;
            break;
          }
          if (_ != "/")
            throw new RangeError("Invalid path: " + r);
          n = r.slice(a);
        }
        let l = i.length - 1, h = i[l];
        if (!h)
          throw new RangeError("Invalid path: " + r);
        let u = new Rt(s, $, l > 0 ? i.slice(0, l) : null);
        t[h] = u.sort(t[h]);
      }
  }
  return Ee.add(t);
}
const Ee = new S();
class Rt {
  constructor(t, e, s, r) {
    this.tags = t, this.mode = e, this.context = s, this.next = r;
  }
  get opaque() {
    return this.mode == 0;
  }
  get inherit() {
    return this.mode == 1;
  }
  sort(t) {
    return !t || t.depth < this.depth ? (this.next = t, this) : (t.next = this.sort(t.next), t);
  }
  get depth() {
    return this.context ? this.context.length : 0;
  }
}
Rt.empty = new Rt([], 2, null);
function Ge(o, t) {
  let e = /* @__PURE__ */ Object.create(null);
  for (let i of o)
    if (!Array.isArray(i.tag))
      e[i.tag.id] = i.class;
    else
      for (let $ of i.tag)
        e[$.id] = i.class;
  let { scope: s, all: r = null } = t || {};
  return {
    style: (i) => {
      let $ = r;
      for (let n of i)
        for (let l of n.set) {
          let h = e[l.id];
          if (h) {
            $ = $ ? $ + " " + h : h;
            break;
          }
        }
      return $;
    },
    scope: s
  };
}
function Rs(o, t) {
  let e = null;
  for (let s of o) {
    let r = s.style(t);
    r && (e = e ? e + " " + r : r);
  }
  return e;
}
function Bs(o, t, e, s = 0, r = o.length) {
  let i = new qs(s, Array.isArray(t) ? t : [t], e);
  i.highlightRange(o.cursor(), s, r, "", i.highlighters), i.flush(r);
}
class qs {
  constructor(t, e, s) {
    this.at = t, this.highlighters = e, this.span = s, this.class = "";
  }
  startSpan(t, e) {
    e != this.class && (this.flush(t), t > this.at && (this.at = t), this.class = e);
  }
  flush(t) {
    t > this.at && this.class && this.span(this.at, t, this.class);
  }
  highlightRange(t, e, s, r, i) {
    let { type: $, from: n, to: l } = t;
    if (n >= s || l <= e)
      return;
    $.isTop && (i = this.highlighters.filter((_) => !_.scope || _.scope($)));
    let h = r, u = zs(t) || Rt.empty, a = Rs(i, u.tags);
    if (a && (h && (h += " "), h += a, u.mode == 1 && (r += (r ? " " : "") + a)), this.startSpan(Math.max(e, n), h), u.opaque)
      return;
    let p = t.tree && t.tree.prop(S.mounted);
    if (p && p.overlay) {
      let _ = t.node.enter(p.overlay[0].from + n, 1), k = this.highlighters.filter((P) => !P.scope || P.scope(p.tree.type)), J = t.firstChild();
      for (let P = 0, D = n; ; P++) {
        let q = P < p.overlay.length ? p.overlay[P] : null, X = q ? q.from + n : l, C = Math.max(e, D), g = Math.min(s, X);
        if (C < g && J)
          for (; t.from < g && (this.highlightRange(t, C, g, r, i), this.startSpan(Math.min(g, t.to), h), !(t.to >= X || !t.nextSibling())); )
            ;
        if (!q || X > s)
          break;
        D = q.to + n, D > e && (this.highlightRange(_.cursor(), Math.max(e, q.from + n), Math.min(s, D), "", k), this.startSpan(Math.min(s, D), h));
      }
      J && t.parent();
    } else if (t.firstChild()) {
      p && (r = "");
      do
        if (!(t.to <= e)) {
          if (t.from >= s)
            break;
          this.highlightRange(t, e, s, r, i), this.startSpan(Math.min(s, t.to), h);
        }
      while (t.nextSibling());
      t.parent();
    }
  }
}
function zs(o) {
  let t = o.type.prop(Ee);
  for (; t && t.context && !o.matchContext(t.context); )
    t = t.next;
  return t || null;
}
const f = E.define, xt = f(), Z = f(), xe = f(Z), Se = f(Z), M = f(), St = f(M), Kt = f(M), U = f(), $t = f(U), K = f(), A = f(), Nt = f(), dt = f(Nt), bt = f(), d = {
  /**
  A comment.
  */
  comment: xt,
  /**
  A line [comment](#highlight.tags.comment).
  */
  lineComment: f(xt),
  /**
  A block [comment](#highlight.tags.comment).
  */
  blockComment: f(xt),
  /**
  A documentation [comment](#highlight.tags.comment).
  */
  docComment: f(xt),
  /**
  Any kind of identifier.
  */
  name: Z,
  /**
  The [name](#highlight.tags.name) of a variable.
  */
  variableName: f(Z),
  /**
  A type [name](#highlight.tags.name).
  */
  typeName: xe,
  /**
  A tag name (subtag of [`typeName`](#highlight.tags.typeName)).
  */
  tagName: f(xe),
  /**
  A property or field [name](#highlight.tags.name).
  */
  propertyName: Se,
  /**
  An attribute name (subtag of [`propertyName`](#highlight.tags.propertyName)).
  */
  attributeName: f(Se),
  /**
  The [name](#highlight.tags.name) of a class.
  */
  className: f(Z),
  /**
  A label [name](#highlight.tags.name).
  */
  labelName: f(Z),
  /**
  A namespace [name](#highlight.tags.name).
  */
  namespace: f(Z),
  /**
  The [name](#highlight.tags.name) of a macro.
  */
  macroName: f(Z),
  /**
  A literal value.
  */
  literal: M,
  /**
  A string [literal](#highlight.tags.literal).
  */
  string: St,
  /**
  A documentation [string](#highlight.tags.string).
  */
  docString: f(St),
  /**
  A character literal (subtag of [string](#highlight.tags.string)).
  */
  character: f(St),
  /**
  An attribute value (subtag of [string](#highlight.tags.string)).
  */
  attributeValue: f(St),
  /**
  A number [literal](#highlight.tags.literal).
  */
  number: Kt,
  /**
  An integer [number](#highlight.tags.number) literal.
  */
  integer: f(Kt),
  /**
  A floating-point [number](#highlight.tags.number) literal.
  */
  float: f(Kt),
  /**
  A boolean [literal](#highlight.tags.literal).
  */
  bool: f(M),
  /**
  Regular expression [literal](#highlight.tags.literal).
  */
  regexp: f(M),
  /**
  An escape [literal](#highlight.tags.literal), for example a
  backslash escape in a string.
  */
  escape: f(M),
  /**
  A color [literal](#highlight.tags.literal).
  */
  color: f(M),
  /**
  A URL [literal](#highlight.tags.literal).
  */
  url: f(M),
  /**
  A language keyword.
  */
  keyword: K,
  /**
  The [keyword](#highlight.tags.keyword) for the self or this
  object.
  */
  self: f(K),
  /**
  The [keyword](#highlight.tags.keyword) for null.
  */
  null: f(K),
  /**
  A [keyword](#highlight.tags.keyword) denoting some atomic value.
  */
  atom: f(K),
  /**
  A [keyword](#highlight.tags.keyword) that represents a unit.
  */
  unit: f(K),
  /**
  A modifier [keyword](#highlight.tags.keyword).
  */
  modifier: f(K),
  /**
  A [keyword](#highlight.tags.keyword) that acts as an operator.
  */
  operatorKeyword: f(K),
  /**
  A control-flow related [keyword](#highlight.tags.keyword).
  */
  controlKeyword: f(K),
  /**
  A [keyword](#highlight.tags.keyword) that defines something.
  */
  definitionKeyword: f(K),
  /**
  A [keyword](#highlight.tags.keyword) related to defining or
  interfacing with modules.
  */
  moduleKeyword: f(K),
  /**
  An operator.
  */
  operator: A,
  /**
  An [operator](#highlight.tags.operator) that dereferences something.
  */
  derefOperator: f(A),
  /**
  Arithmetic-related [operator](#highlight.tags.operator).
  */
  arithmeticOperator: f(A),
  /**
  Logical [operator](#highlight.tags.operator).
  */
  logicOperator: f(A),
  /**
  Bit [operator](#highlight.tags.operator).
  */
  bitwiseOperator: f(A),
  /**
  Comparison [operator](#highlight.tags.operator).
  */
  compareOperator: f(A),
  /**
  [Operator](#highlight.tags.operator) that updates its operand.
  */
  updateOperator: f(A),
  /**
  [Operator](#highlight.tags.operator) that defines something.
  */
  definitionOperator: f(A),
  /**
  Type-related [operator](#highlight.tags.operator).
  */
  typeOperator: f(A),
  /**
  Control-flow [operator](#highlight.tags.operator).
  */
  controlOperator: f(A),
  /**
  Program or markup punctuation.
  */
  punctuation: Nt,
  /**
  [Punctuation](#highlight.tags.punctuation) that separates
  things.
  */
  separator: f(Nt),
  /**
  Bracket-style [punctuation](#highlight.tags.punctuation).
  */
  bracket: dt,
  /**
  Angle [brackets](#highlight.tags.bracket) (usually `<` and `>`
  tokens).
  */
  angleBracket: f(dt),
  /**
  Square [brackets](#highlight.tags.bracket) (usually `[` and `]`
  tokens).
  */
  squareBracket: f(dt),
  /**
  Parentheses (usually `(` and `)` tokens). Subtag of
  [bracket](#highlight.tags.bracket).
  */
  paren: f(dt),
  /**
  Braces (usually `{` and `}` tokens). Subtag of
  [bracket](#highlight.tags.bracket).
  */
  brace: f(dt),
  /**
  Content, for example plain text in XML or markup documents.
  */
  content: U,
  /**
  [Content](#highlight.tags.content) that represents a heading.
  */
  heading: $t,
  /**
  A level 1 [heading](#highlight.tags.heading).
  */
  heading1: f($t),
  /**
  A level 2 [heading](#highlight.tags.heading).
  */
  heading2: f($t),
  /**
  A level 3 [heading](#highlight.tags.heading).
  */
  heading3: f($t),
  /**
  A level 4 [heading](#highlight.tags.heading).
  */
  heading4: f($t),
  /**
  A level 5 [heading](#highlight.tags.heading).
  */
  heading5: f($t),
  /**
  A level 6 [heading](#highlight.tags.heading).
  */
  heading6: f($t),
  /**
  A prose separator (such as a horizontal rule).
  */
  contentSeparator: f(U),
  /**
  [Content](#highlight.tags.content) that represents a list.
  */
  list: f(U),
  /**
  [Content](#highlight.tags.content) that represents a quote.
  */
  quote: f(U),
  /**
  [Content](#highlight.tags.content) that is emphasized.
  */
  emphasis: f(U),
  /**
  [Content](#highlight.tags.content) that is styled strong.
  */
  strong: f(U),
  /**
  [Content](#highlight.tags.content) that is part of a link.
  */
  link: f(U),
  /**
  [Content](#highlight.tags.content) that is styled as code or
  monospace.
  */
  monospace: f(U),
  /**
  [Content](#highlight.tags.content) that has a strike-through
  style.
  */
  strikethrough: f(U),
  /**
  Inserted text in a change-tracking format.
  */
  inserted: f(),
  /**
  Deleted text.
  */
  deleted: f(),
  /**
  Changed text.
  */
  changed: f(),
  /**
  An invalid or unsyntactic element.
  */
  invalid: f(),
  /**
  Metadata or meta-instruction.
  */
  meta: bt,
  /**
  [Metadata](#highlight.tags.meta) that applies to the entire
  document.
  */
  documentMeta: f(bt),
  /**
  [Metadata](#highlight.tags.meta) that annotates or adds
  attributes to a given syntactic element.
  */
  annotation: f(bt),
  /**
  Processing instruction or preprocessor directive. Subtag of
  [meta](#highlight.tags.meta).
  */
  processingInstruction: f(bt),
  /**
  [Modifier](#highlight.Tag^defineModifier) that indicates that a
  given element is being defined. Expected to be used with the
  various [name](#highlight.tags.name) tags.
  */
  definition: E.defineModifier(),
  /**
  [Modifier](#highlight.Tag^defineModifier) that indicates that
  something is constant. Mostly expected to be used with
  [variable names](#highlight.tags.variableName).
  */
  constant: E.defineModifier(),
  /**
  [Modifier](#highlight.Tag^defineModifier) used to indicate that
  a [variable](#highlight.tags.variableName) or [property
  name](#highlight.tags.propertyName) is being called or defined
  as a function.
  */
  function: E.defineModifier(),
  /**
  [Modifier](#highlight.Tag^defineModifier) that can be applied to
  [names](#highlight.tags.name) to indicate that they belong to
  the language's standard environment.
  */
  standard: E.defineModifier(),
  /**
  [Modifier](#highlight.Tag^defineModifier) that indicates a given
  [names](#highlight.tags.name) is local to some scope.
  */
  local: E.defineModifier(),
  /**
  A generic variant [modifier](#highlight.Tag^defineModifier) that
  can be used to tag language-specific alternative variants of
  some common tag. It is recommended for themes to define special
  forms of at least the [string](#highlight.tags.string) and
  [variable name](#highlight.tags.variableName) tags, since those
  come up a lot.
  */
  special: E.defineModifier()
};
Ge([
  { tag: d.link, class: "tok-link" },
  { tag: d.heading, class: "tok-heading" },
  { tag: d.emphasis, class: "tok-emphasis" },
  { tag: d.strong, class: "tok-strong" },
  { tag: d.keyword, class: "tok-keyword" },
  { tag: d.atom, class: "tok-atom" },
  { tag: d.bool, class: "tok-bool" },
  { tag: d.url, class: "tok-url" },
  { tag: d.labelName, class: "tok-labelName" },
  { tag: d.inserted, class: "tok-inserted" },
  { tag: d.deleted, class: "tok-deleted" },
  { tag: d.literal, class: "tok-literal" },
  { tag: d.string, class: "tok-string" },
  { tag: d.number, class: "tok-number" },
  { tag: [d.regexp, d.escape, d.special(d.string)], class: "tok-string2" },
  { tag: d.variableName, class: "tok-variableName" },
  { tag: d.local(d.variableName), class: "tok-variableName tok-local" },
  { tag: d.definition(d.variableName), class: "tok-variableName tok-definition" },
  { tag: d.special(d.variableName), class: "tok-variableName2" },
  { tag: d.definition(d.propertyName), class: "tok-propertyName tok-definition" },
  { tag: d.typeName, class: "tok-typeName" },
  { tag: d.namespace, class: "tok-namespace" },
  { tag: d.className, class: "tok-className" },
  { tag: d.macroName, class: "tok-macroName" },
  { tag: d.propertyName, class: "tok-propertyName" },
  { tag: d.operator, class: "tok-operator" },
  { tag: d.comment, class: "tok-comment" },
  { tag: d.meta, class: "tok-meta" },
  { tag: d.invalid, class: "tok-invalid" },
  { tag: d.punctuation, class: "tok-punctuation" }
]);
const Lt = "ͼ", be = typeof Symbol > "u" ? "__" + Lt : Symbol.for(Lt), Zt = typeof Symbol > "u" ? "__styleSet" + Math.floor(Math.random() * 1e8) : Symbol("styleSet"), me = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : {};
class Ie {
  // :: (Object<Style>, ?{finish: ?(string) → string})
  // Create a style module from the given spec.
  //
  // When `finish` is given, it is called on regular (non-`@`)
  // selectors (after `&` expansion) to compute the final selector.
  constructor(t, e) {
    this.rules = [];
    let { finish: s } = e || {};
    function r($) {
      return /^@/.test($) ? [$] : $.split(/,\s*/);
    }
    function i($, n, l, h) {
      let u = [], a = /^@(\w+)\b/.exec($[0]), p = a && a[1] == "keyframes";
      if (a && n == null)
        return l.push($[0] + ";");
      for (let _ in n) {
        let k = n[_];
        if (/&/.test(_))
          i(
            _.split(/,\s*/).map((J) => $.map((P) => J.replace(/&/, P))).reduce((J, P) => J.concat(P)),
            k,
            l
          );
        else if (k && typeof k == "object") {
          if (!a)
            throw new RangeError("The value of a property (" + _ + ") should be a primitive value.");
          i(r(_), k, u, p);
        } else
          k != null && u.push(_.replace(/_.*/, "").replace(/[A-Z]/g, (J) => "-" + J.toLowerCase()) + ": " + k + ";");
      }
      (u.length || p) && l.push((s && !a && !h ? $.map(s) : $).join(", ") + " {" + u.join(" ") + "}");
    }
    for (let $ in t)
      i(r($), t[$], this.rules);
  }
  // :: () → string
  // Returns a string containing the module's CSS rules.
  getRules() {
    return this.rules.join(`
`);
  }
  // :: () → string
  // Generate a new unique CSS class name.
  static newName() {
    let t = me[be] || 1;
    return me[be] = t + 1, Lt + t.toString(36);
  }
  // :: (union<Document, ShadowRoot>, union<[StyleModule], StyleModule>, ?{nonce: ?string})
  //
  // Mount the given set of modules in the given DOM root, which ensures
  // that the CSS rules defined by the module are available in that
  // context.
  //
  // Rules are only added to the document once per root.
  //
  // Rule order will follow the order of the modules, so that rules from
  // modules later in the array take precedence of those from earlier
  // modules. If you call this function multiple times for the same root
  // in a way that changes the order of already mounted modules, the old
  // order will be changed.
  //
  // If a Content Security Policy nonce is provided, it is added to
  // the `<style>` tag generated by the library.
  static mount(t, e, s) {
    let r = t[Zt], i = s && s.nonce;
    r ? i && r.setNonce(i) : r = new Hs(t, i), r.mount(Array.isArray(e) ? e : [e]);
  }
}
let Je = /* @__PURE__ */ new Map();
class Hs {
  constructor(t, e) {
    let s = t.ownerDocument || t, r = s.defaultView;
    if (!t.head && t.adoptedStyleSheets && r.CSSStyleSheet) {
      let i = Je.get(s);
      if (i)
        return t.adoptedStyleSheets = [i.sheet, ...t.adoptedStyleSheets], t[Zt] = i;
      this.sheet = new r.CSSStyleSheet(), t.adoptedStyleSheets = [this.sheet, ...t.adoptedStyleSheets], Je.set(s, this);
    } else {
      this.styleTag = s.createElement("style"), e && this.styleTag.setAttribute("nonce", e);
      let i = t.head || t;
      i.insertBefore(this.styleTag, i.firstChild);
    }
    this.modules = [], t[Zt] = this;
  }
  mount(t) {
    let e = this.sheet, s = 0, r = 0;
    for (let i = 0; i < t.length; i++) {
      let $ = t[i], n = this.modules.indexOf($);
      if (n < r && n > -1 && (this.modules.splice(n, 1), r--, n = -1), n == -1) {
        if (this.modules.splice(r++, 0, $), e)
          for (let l = 0; l < $.rules.length; l++)
            e.insertRule($.rules[l], s++);
      } else {
        for (; r < n; )
          s += this.modules[r++].rules.length;
        s += $.rules.length, r++;
      }
    }
    if (!e) {
      let i = "";
      for (let $ = 0; $ < this.modules.length; $++)
        i += this.modules[$].getRules() + `
`;
      this.styleTag.textContent = i;
    }
  }
  setNonce(t) {
    this.styleTag && this.styleTag.getAttribute("nonce") != t && this.styleTag.setAttribute("nonce", t);
  }
}
var At;
const ht = /* @__PURE__ */ new S();
function Vs(o) {
  return Ht.define({
    combine: o ? (t) => t.concat(o) : void 0
  });
}
const Ds = /* @__PURE__ */ new S();
class v {
  /**
  Construct a language object. If you need to invoke this
  directly, first define a data facet with
  [`defineLanguageFacet`](https://codemirror.net/6/docs/ref/#language.defineLanguageFacet), and then
  configure your parser to [attach](https://codemirror.net/6/docs/ref/#language.languageDataProp) it
  to the language's outer syntax node.
  */
  constructor(t, e, s = [], r = "") {
    this.data = t, this.name = r, Dt.prototype.hasOwnProperty("tree") || Object.defineProperty(Dt.prototype, "tree", { get() {
      return L(this);
    } }), this.parser = e, this.extension = [
      ft.of(this),
      Dt.languageData.of((i, $, n) => {
        let l = we(i, $, n), h = l.type.prop(ht);
        if (!h)
          return [];
        let u = i.facet(h), a = l.type.prop(Ds);
        if (a) {
          let p = l.resolve($ - l.from, n);
          for (let _ of a)
            if (_.test(p, i)) {
              let k = i.facet(_.facet);
              return _.type == "replace" ? k : k.concat(u);
            }
        }
        return u;
      })
    ].concat(s);
  }
  /**
  Query whether this language is active at the given position.
  */
  isActiveAt(t, e, s = -1) {
    return we(t, e, s).type.prop(ht) == this.data;
  }
  /**
  Find the document regions that were parsed using this language.
  The returned regions will _include_ any nested languages rooted
  in this language, when those exist.
  */
  findRegions(t) {
    let e = t.facet(ft);
    if ((e == null ? void 0 : e.data) == this.data)
      return [{ from: 0, to: t.doc.length }];
    if (!e || !e.allowsNesting)
      return [];
    let s = [], r = (i, $) => {
      if (i.prop(ht) == this.data) {
        s.push({ from: $, to: $ + i.length });
        return;
      }
      let n = i.prop(S.mounted);
      if (n) {
        if (n.tree.prop(ht) == this.data) {
          if (n.overlay)
            for (let l of n.overlay)
              s.push({ from: l.from + $, to: l.to + $ });
          else
            s.push({ from: $, to: $ + i.length });
          return;
        } else if (n.overlay) {
          let l = s.length;
          if (r(n.tree, n.overlay[0].from + $), s.length > l)
            return;
        }
      }
      for (let l = 0; l < i.children.length; l++) {
        let h = i.children[l];
        h instanceof F && r(h, i.positions[l] + $);
      }
    };
    return r(L(t), 0), s;
  }
  /**
  Indicates whether this language allows nested languages. The
  default implementation returns true.
  */
  get allowsNesting() {
    return !0;
  }
}
v.setState = /* @__PURE__ */ ts.define();
function we(o, t, e) {
  let s = o.facet(ft), r = L(o).topNode;
  if (!s || s.allowsNesting)
    for (let i = r; i; i = i.enter(t, e, T.ExcludeBuffers))
      i.type.isTop && (r = i);
  return r;
}
class Bt extends v {
  constructor(t, e, s) {
    super(t, e, [], s), this.parser = e;
  }
  /**
  Define a language from a parser.
  */
  static define(t) {
    let e = Vs(t.languageData);
    return new Bt(e, t.parser.configure({
      props: [ht.add((s) => s.isTop ? e : void 0)]
    }), t.name);
  }
  /**
  Create a new instance of this language with a reconfigured
  version of its parser and optionally a new name.
  */
  configure(t, e) {
    return new Bt(this.data, this.parser.configure(t), e || this.name);
  }
  get allowsNesting() {
    return this.parser.hasWrappers();
  }
}
function L(o) {
  let t = o.field(v.state, !1);
  return t ? t.tree : F.empty;
}
class vs {
  /**
  Create an input object for the given document.
  */
  constructor(t) {
    this.doc = t, this.cursorPos = 0, this.string = "", this.cursor = t.iter();
  }
  get length() {
    return this.doc.length;
  }
  syncTo(t) {
    return this.string = this.cursor.next(t - this.cursorPos).value, this.cursorPos = t + this.string.length, this.cursorPos - this.string.length;
  }
  chunk(t) {
    return this.syncTo(t), this.string;
  }
  get lineChunks() {
    return !0;
  }
  read(t, e) {
    let s = this.cursorPos - this.string.length;
    return t < s || e >= this.cursorPos ? this.doc.sliceString(t, e) : this.string.slice(t - s, e - s);
  }
}
let _t = null;
class qt {
  constructor(t, e, s = [], r, i, $, n, l) {
    this.parser = t, this.state = e, this.fragments = s, this.tree = r, this.treeLen = i, this.viewport = $, this.skipped = n, this.scheduleOn = l, this.parse = null, this.tempSkipped = [];
  }
  /**
  @internal
  */
  static create(t, e, s) {
    return new qt(t, e, [], F.empty, 0, s, [], null);
  }
  startParse() {
    return this.parser.startParse(new vs(this.state.doc), this.fragments);
  }
  /**
  @internal
  */
  work(t, e) {
    return e != null && e >= this.state.doc.length && (e = void 0), this.tree != F.empty && this.isDone(e ?? this.state.doc.length) ? (this.takeTree(), !0) : this.withContext(() => {
      var s;
      if (typeof t == "number") {
        let r = Date.now() + t;
        t = () => Date.now() > r;
      }
      for (this.parse || (this.parse = this.startParse()), e != null && (this.parse.stoppedAt == null || this.parse.stoppedAt > e) && e < this.state.doc.length && this.parse.stopAt(e); ; ) {
        let r = this.parse.advance();
        if (r)
          if (this.fragments = this.withoutTempSkipped(nt.addTree(r, this.fragments, this.parse.stoppedAt != null)), this.treeLen = (s = this.parse.stoppedAt) !== null && s !== void 0 ? s : this.state.doc.length, this.tree = r, this.parse = null, this.treeLen < (e ?? this.state.doc.length))
            this.parse = this.startParse();
          else
            return !0;
        if (t())
          return !1;
      }
    });
  }
  /**
  @internal
  */
  takeTree() {
    let t, e;
    this.parse && (t = this.parse.parsedPos) >= this.treeLen && ((this.parse.stoppedAt == null || this.parse.stoppedAt > t) && this.parse.stopAt(t), this.withContext(() => {
      for (; !(e = this.parse.advance()); )
        ;
    }), this.treeLen = t, this.tree = e, this.fragments = this.withoutTempSkipped(nt.addTree(this.tree, this.fragments, !0)), this.parse = null);
  }
  withContext(t) {
    let e = _t;
    _t = this;
    try {
      return t();
    } finally {
      _t = e;
    }
  }
  withoutTempSkipped(t) {
    for (let e; e = this.tempSkipped.pop(); )
      t = ye(t, e.from, e.to);
    return t;
  }
  /**
  @internal
  */
  changes(t, e) {
    let { fragments: s, tree: r, treeLen: i, viewport: $, skipped: n } = this;
    if (this.takeTree(), !t.empty) {
      let l = [];
      if (t.iterChangedRanges((h, u, a, p) => l.push({ fromA: h, toA: u, fromB: a, toB: p })), s = nt.applyChanges(s, l), r = F.empty, i = 0, $ = { from: t.mapPos($.from, -1), to: t.mapPos($.to, 1) }, this.skipped.length) {
        n = [];
        for (let h of this.skipped) {
          let u = t.mapPos(h.from, 1), a = t.mapPos(h.to, -1);
          u < a && n.push({ from: u, to: a });
        }
      }
    }
    return new qt(this.parser, e, s, r, i, $, n, this.scheduleOn);
  }
  /**
  @internal
  */
  updateViewport(t) {
    if (this.viewport.from == t.from && this.viewport.to == t.to)
      return !1;
    this.viewport = t;
    let e = this.skipped.length;
    for (let s = 0; s < this.skipped.length; s++) {
      let { from: r, to: i } = this.skipped[s];
      r < t.to && i > t.from && (this.fragments = ye(this.fragments, r, i), this.skipped.splice(s--, 1));
    }
    return this.skipped.length >= e ? !1 : (this.reset(), !0);
  }
  /**
  @internal
  */
  reset() {
    this.parse && (this.takeTree(), this.parse = null);
  }
  /**
  Notify the parse scheduler that the given region was skipped
  because it wasn't in view, and the parse should be restarted
  when it comes into view.
  */
  skipUntilInView(t, e) {
    this.skipped.push({ from: t, to: e });
  }
  /**
  Returns a parser intended to be used as placeholder when
  asynchronously loading a nested parser. It'll skip its input and
  mark it as not-really-parsed, so that the next update will parse
  it again.
  
  When `until` is given, a reparse will be scheduled when that
  promise resolves.
  */
  static getSkippingParser(t) {
    return new class extends Ye {
      createParse(e, s, r) {
        let i = r[0].from, $ = r[r.length - 1].to;
        return {
          parsedPos: i,
          advance() {
            let l = _t;
            if (l) {
              for (let h of r)
                l.tempSkipped.push(h);
              t && (l.scheduleOn = l.scheduleOn ? Promise.all([l.scheduleOn, t]) : t);
            }
            return this.parsedPos = $, new F(B.none, [], [], $ - i);
          },
          stoppedAt: null,
          stopAt() {
          }
        };
      }
    }();
  }
  /**
  @internal
  */
  isDone(t) {
    t = Math.min(t, this.state.doc.length);
    let e = this.fragments;
    return this.treeLen >= t && e.length && e[0].from == 0 && e[0].to >= t;
  }
  /**
  Get the context for the current parse, or `null` if no editor
  parse is in progress.
  */
  static get() {
    return _t;
  }
}
function ye(o, t, e) {
  return nt.applyChanges(o, [{ fromA: t, toA: e, fromB: t, toB: e }]);
}
class ut {
  constructor(t) {
    this.context = t, this.tree = t.tree;
  }
  apply(t) {
    if (!t.docChanged && this.tree == this.context.tree)
      return this;
    let e = this.context.changes(t.changes, t.state), s = this.context.treeLen == t.startState.doc.length ? void 0 : Math.max(t.changes.mapPos(this.context.treeLen), e.viewport.to);
    return e.work(20, s) || e.takeTree(), new ut(e);
  }
  static init(t) {
    let e = Math.min(3e3, t.doc.length), s = qt.create(t.facet(ft).parser, t, { from: 0, to: e });
    return s.work(20, e) || s.takeTree(), new ut(s);
  }
}
v.state = /* @__PURE__ */ ze.define({
  create: ut.init,
  update(o, t) {
    for (let e of t.effects)
      if (e.is(v.setState))
        return e.value;
    return t.startState.facet(ft) != t.state.facet(ft) ? ut.init(t.state) : o.apply(t);
  }
});
let Qe = (o) => {
  let t = setTimeout(
    () => o(),
    500
    /* Work.MaxPause */
  );
  return () => clearTimeout(t);
};
typeof requestIdleCallback < "u" && (Qe = (o) => {
  let t = -1, e = setTimeout(
    () => {
      t = requestIdleCallback(o, {
        timeout: 400
        /* Work.MinPause */
      });
    },
    100
    /* Work.MinPause */
  );
  return () => t < 0 ? clearTimeout(e) : cancelIdleCallback(t);
});
const Ut = typeof navigator < "u" && (!((At = navigator.scheduling) === null || At === void 0) && At.isInputPending) ? () => navigator.scheduling.isInputPending() : null, Cs = /* @__PURE__ */ zt.fromClass(class {
  constructor(t) {
    this.view = t, this.working = null, this.workScheduled = 0, this.chunkEnd = -1, this.chunkBudget = -1, this.work = this.work.bind(this), this.scheduleWork();
  }
  update(t) {
    let e = this.view.state.field(v.state).context;
    (e.updateViewport(t.view.viewport) || this.view.viewport.to > e.treeLen) && this.scheduleWork(), (t.docChanged || t.selectionSet) && (this.view.hasFocus && (this.chunkBudget += 50), this.scheduleWork()), this.checkAsyncSchedule(e);
  }
  scheduleWork() {
    if (this.working)
      return;
    let { state: t } = this.view, e = t.field(v.state);
    (e.tree != e.context.tree || !e.context.isDone(t.doc.length)) && (this.working = Qe(this.work));
  }
  work(t) {
    this.working = null;
    let e = Date.now();
    if (this.chunkEnd < e && (this.chunkEnd < 0 || this.view.hasFocus) && (this.chunkEnd = e + 3e4, this.chunkBudget = 3e3), this.chunkBudget <= 0)
      return;
    let { state: s, viewport: { to: r } } = this.view, i = s.field(v.state);
    if (i.tree == i.context.tree && i.context.isDone(
      r + 1e5
      /* Work.MaxParseAhead */
    ))
      return;
    let $ = Date.now() + Math.min(this.chunkBudget, 100, t && !Ut ? Math.max(25, t.timeRemaining() - 5) : 1e9), n = i.context.treeLen < r && s.doc.length > r + 1e3, l = i.context.work(() => Ut && Ut() || Date.now() > $, r + (n ? 0 : 1e5));
    this.chunkBudget -= Date.now() - e, (l || this.chunkBudget <= 0) && (i.context.takeTree(), this.view.dispatch({ effects: v.setState.of(new ut(i.context)) })), this.chunkBudget > 0 && !(l && !n) && this.scheduleWork(), this.checkAsyncSchedule(i.context);
  }
  checkAsyncSchedule(t) {
    t.scheduleOn && (this.workScheduled++, t.scheduleOn.then(() => this.scheduleWork()).catch((e) => Me(this.view.state, e)).then(() => this.workScheduled--), t.scheduleOn = null);
  }
  destroy() {
    this.working && this.working();
  }
  isWorking() {
    return !!(this.working || this.workScheduled > 0);
  }
}, {
  eventHandlers: { focus() {
    this.scheduleWork();
  } }
}), ft = /* @__PURE__ */ Ht.define({
  combine(o) {
    return o.length ? o[0] : null;
  },
  enables: (o) => [
    v.state,
    Cs,
    N.contentAttributes.compute([o], (t) => {
      let e = t.facet(o);
      return e && e.name ? { "data-language": e.name } : {};
    })
  ]
});
class Ys {
  /**
  Create a language support object.
  */
  constructor(t, e = []) {
    this.language = t, this.support = e, this.extension = [t, e];
  }
}
class Vt {
  constructor(t, e) {
    this.specs = t;
    let s;
    function r(n) {
      let l = Ie.newName();
      return (s || (s = /* @__PURE__ */ Object.create(null)))["." + l] = n, l;
    }
    const i = typeof e.all == "string" ? e.all : e.all ? r(e.all) : void 0, $ = e.scope;
    this.scope = $ instanceof v ? (n) => n.prop(ht) == $.data : $ ? (n) => n == $ : void 0, this.style = Ge(t.map((n) => ({
      tag: n.tag,
      class: n.class || r(Object.assign({}, n, { tag: null }))
    })), {
      all: i
    }).style, this.module = s ? new Ie(s) : null, this.themeType = e.themeType;
  }
  /**
  Create a highlighter style that associates the given styles to
  the given tags. The specs must be objects that hold a style tag
  or array of tags in their `tag` property, and either a single
  `class` property providing a static CSS class (for highlighter
  that rely on external styling), or a
  [`style-mod`](https://github.com/marijnh/style-mod#documentation)-style
  set of CSS properties (which define the styling for those tags).
  
  The CSS rules created for a highlighter will be emitted in the
  order of the spec's properties. That means that for elements that
  have multiple tags associated with them, styles defined further
  down in the list will have a higher CSS precedence than styles
  defined earlier.
  */
  static define(t, e) {
    return new Vt(t, e || {});
  }
}
const Mt = /* @__PURE__ */ Ht.define(), je = /* @__PURE__ */ Ht.define({
  combine(o) {
    return o.length ? [o[0]] : null;
  }
});
function Et(o) {
  let t = o.facet(Mt);
  return t.length ? t : o.facet(je);
}
function Ks(o, t) {
  let e = [Us], s;
  return o instanceof Vt && (o.module && e.push(N.styleModule.of(o.module)), s = o.themeType), t != null && t.fallback ? e.push(je.of(o)) : s ? e.push(Mt.computeN([N.darkTheme], (r) => r.facet(N.darkTheme) == (s == "dark") ? [o] : [])) : e.push(Mt.of(o)), e;
}
class As {
  constructor(t) {
    this.markCache = /* @__PURE__ */ Object.create(null), this.tree = L(t.state), this.decorations = this.buildDeco(t, Et(t.state));
  }
  update(t) {
    let e = L(t.state), s = Et(t.state), r = s != Et(t.startState);
    e.length < t.view.viewport.to && !r && e.type == this.tree.type ? this.decorations = this.decorations.map(t.changes) : (e != this.tree || t.viewportChanged || r) && (this.tree = e, this.decorations = this.buildDeco(t.view, s));
  }
  buildDeco(t, e) {
    if (!e || !this.tree.length)
      return G.none;
    let s = new te();
    for (let { from: r, to: i } of t.visibleRanges)
      Bs(this.tree, e, ($, n, l) => {
        s.add($, n, this.markCache[l] || (this.markCache[l] = G.mark({ class: l })));
      }, r, i);
    return s.finish();
  }
}
const Us = /* @__PURE__ */ He.high(/* @__PURE__ */ zt.fromClass(As, {
  decorations: (o) => o.decorations
})), Es = /* @__PURE__ */ Object.create(null), Xe = [B.none], Fe = [], Te = /* @__PURE__ */ Object.create(null), Gs = /* @__PURE__ */ Object.create(null);
for (let [o, t] of [
  ["variable", "variableName"],
  ["variable-2", "variableName.special"],
  ["string-2", "string.special"],
  ["def", "variableName.definition"],
  ["tag", "tagName"],
  ["attribute", "attributeName"],
  ["type", "typeName"],
  ["builtin", "variableName.standard"],
  ["qualifier", "modifier"],
  ["error", "invalid"],
  ["header", "heading"],
  ["property", "propertyName"]
])
  Gs[o] = /* @__PURE__ */ Qs(Es, t);
function Gt(o, t) {
  Fe.indexOf(o) > -1 || (Fe.push(o), console.warn(t));
}
function Qs(o, t) {
  let e = [];
  for (let n of t.split(" ")) {
    let l = [];
    for (let h of n.split(".")) {
      let u = o[h] || d[h];
      u ? typeof u == "function" ? l.length ? l = l.map(u) : Gt(h, `Modifier ${h} used at start of tag`) : l.length ? Gt(h, `Tag ${h} used as modifier`) : l = Array.isArray(u) ? u : [u] : Gt(h, `Unknown highlighting tag ${h}`);
    }
    for (let h of l)
      e.push(h);
  }
  if (!e.length)
    return 0;
  let s = t.replace(/ /g, "_"), r = s + " " + e.map((n) => n.id), i = Te[r];
  if (i)
    return i.id;
  let $ = Te[r] = B.define({
    id: Xe.length,
    name: s,
    props: [Ue({ [s]: e })]
  });
  return Xe.push($), $.id;
}
wt.RTL, wt.LTR;
const js = Bt.define({
  name: "icu-tolgee",
  parser: $e.configure({
    props: [
      Ue({
        TextRoot: d.string,
        Text: d.string,
        PluralPlaceholder: d.keyword,
        VariantDescriptor: d.keyword,
        FormatFunction: d.keyword,
        SelectFunction: d.keyword,
        Param: d.variableName,
        FormatStyle: d.variableName,
        "{ }": d.paren,
        Sep: d.separator,
        "< >": d.tagName,
        Slash: d.tagName,
        TagName: d.tagName
      })
    ]
  })
});
function $r() {
  return new Ys(js);
}
const Pe = {
  0: ne,
  4: oe,
  6: Ke,
  // this also excludes 'offset:x'
  8: Ae
};
function Jt(o, t) {
  return t.substring(o.from, o.to);
}
function Ns(o, t) {
  let e = o.firstChild;
  do
    if ((e == null ? void 0 : e.type.id) === Ws)
      return Jt(e, t);
  while (e = e == null ? void 0 : e.nextSibling);
  return "";
}
const nr = (o) => {
  let t;
  try {
    t = $e.configure({ strict: !0 }).parse(o);
  } catch {
    return null;
  }
  const e = t.cursor(), s = {}, r = /* @__PURE__ */ new Map(), i = Object.keys(Pe), $ = Number(i[i.length - 1]);
  for (let l = 0; l <= $; l++) {
    e.next();
    const h = e.node, u = Pe[l];
    if (u !== void 0)
      if (u === h.type.id)
        s[h.type.id] = h;
      else
        return null;
  }
  if (s[ne].nextSibling || Jt(s[Ke], o) !== "plural")
    return null;
  let n = s[Ae];
  do {
    const l = Jt(n.firstChild, o), h = Ns(n, o);
    if (r.get(l))
      return null;
    r.set(l, h);
  } while (n = n.nextSibling);
  return {
    parameter: Jt(s[oe], o),
    variants: r
  };
}, Re = "#000", Be = "#fff", or = N.baseTheme({
  "&": {
    color: Re,
    fontSize: "15px"
  },
  ".cm-cursor": {
    borderLeftColor: Re
  },
  ".cm-selectionBackground": {
    backgroundColor: "#d5d5d5 !important"
  },
  ".placeholder-widget": {
    display: "inline-flex",
    alignItems: "center",
    justifyContent: "center",
    height: "20px",
    minWidth: "15px",
    borderRadius: "10px",
    padding: "0px 9px",
    fontSize: "14px",
    userSelect: "none",
    margin: "0px 1px",
    border: "1px solid #7AD3C1",
    background: "#BEF3E9",
    color: "#008371"
  },
  ".placeholder-widget > *": {
    marginTop: "-1px"
  },
  ".placeholder-widget.placeholder-tagOpen": {
    border: "1px solid #F27FA6",
    background: "#F9C4D6",
    color: "#822343",
    borderRadius: "12px 0px 0px 12px",
    paddingRight: "8px"
  },
  ".placeholder-widget.placeholder-tagClose": {
    border: "1px solid #F27FA6",
    background: "#F9C4D6",
    color: "#822343",
    borderRadius: "0px 12px 12px 0px",
    paddingLeft: "8px"
  },
  '*[dir="rtl"] .placeholder-widget': {
    transform: "scaleX(-1)"
  },
  '*[dir="rtl"] .placeholder-widget > *': {
    transform: "scaleX(-1)"
  }
}), lr = N.theme({
  "&": {
    color: Be
  },
  ".cm-cursor": {
    borderLeftColor: Be
  },
  ".cm-selectionBackground": {
    backgroundColor: "#587296 !important"
  }
}), ct = "#008371", Ls = "#822343", hr = Ks(
  Vt.define([
    { tag: d.variableName, color: ct },
    { tag: d.keyword, color: ct },
    { tag: d.paren, color: ct },
    { tag: d.separator, color: ct },
    { tag: d.bracket, color: ct },
    { tag: d.tagName, color: Ls }
  ])
), ar = zt.fromClass(
  class {
    constructor(o) {
      pt(this, "isolates");
      pt(this, "tree");
      this.isolates = qe(o), this.tree = L(o.state);
    }
    update(o) {
      (o.docChanged || o.viewportChanged || L(o.state) != this.tree) && (this.isolates = qe(o.view), this.tree = L(o.state));
    }
  },
  {
    provide: (o) => {
      function t(e) {
        var s;
        return ((s = e.plugin(o)) == null ? void 0 : s.isolates) ?? G.none;
      }
      return He.lowest([
        N.decorations.of(t),
        N.bidiIsolatedRanges.of(t)
      ]);
    }
  }
), Zs = G.mark({
  attributes: { style: "direction: ltr; unicode-bidi: isolate" },
  bidiIsolate: wt.LTR
}), Ms = G.mark({
  attributes: { style: "direction: rtl; unicode-bidi: isolate" },
  bidiIsolate: wt.RTL
});
function qe(o) {
  const t = new te();
  for (const { from: e, to: s } of o.visibleRanges)
    L(o.state).iterate({
      from: e,
      to: s,
      enter(r) {
        (r.name === "HtmlTagOpen" || r.name === "HtmlTagClose" || r.name === "Expression") && t.add(r.from, r.to, Zs), (r.name === "TextRoot" || r.name === "Text") && t.add(r.from, r.to, Ms);
      }
    });
  return t.finish();
}
export {
  rr as PlaceholderPlugin,
  bs as getPlaceholders,
  nr as getTolgeePlurals,
  ar as htmlIsolatesPlugin,
  hr as tolgeeHighlight,
  $e as tolgeeParser,
  $r as tolgeeSyntax,
  or as tolgeeThemeBase,
  lr as tolgeeThemeDark
};
